// Code generated by protoc-gen-go. DO NOT EDIT.
// source: runtime.proto

package runtime

import (
	context "context"
	fmt "fmt"
	proto "github.com/golang/protobuf/proto"
	any "github.com/golang/protobuf/ptypes/any"
	empty "github.com/golang/protobuf/ptypes/empty"
	grpc "google.golang.org/grpc"
	codes "google.golang.org/grpc/codes"
	status "google.golang.org/grpc/status"
	math "math"
)

// Reference imports to suppress errors if they are not otherwise used.
var _ = proto.Marshal
var _ = fmt.Errorf
var _ = math.Inf

// This is a compile-time assertion to ensure that this generated file
// is compatible with the proto package it is being compiled against.
// A compilation error at this line likely means your copy of the
// proto package needs to be updated.
const _ = proto.ProtoPackageIsVersion3 // please upgrade the proto package

// requirements for auto-increment guarantee
type SequencerOptions_AutoIncrement int32

const (
	// (default) WEAK means a "best effort" incrementing service.But there is no strict guarantee of global monotonically increasing.
	//The next id is "probably" greater than current id.
	SequencerOptions_WEAK SequencerOptions_AutoIncrement = 0
	// STRONG means a strict guarantee of global monotonically increasing.
	//The next id "must" be greater than current id.
	SequencerOptions_STRONG SequencerOptions_AutoIncrement = 1
)

var SequencerOptions_AutoIncrement_name = map[int32]string{
	0: "WEAK",
	1: "STRONG",
}

var SequencerOptions_AutoIncrement_value = map[string]int32{
	"WEAK":   0,
	"STRONG": 1,
}

func (x SequencerOptions_AutoIncrement) String() string {
	return proto.EnumName(SequencerOptions_AutoIncrement_name, int32(x))
}

func (SequencerOptions_AutoIncrement) EnumDescriptor() ([]byte, []int) {
	return fileDescriptor_86e2dd377c869464, []int{1, 0}
}

type UnlockResponse_Status int32

const (
	UnlockResponse_SUCCESS               UnlockResponse_Status = 0
	UnlockResponse_LOCK_UNEXIST          UnlockResponse_Status = 1
	UnlockResponse_LOCK_BELONG_TO_OTHERS UnlockResponse_Status = 2
	UnlockResponse_INTERNAL_ERROR        UnlockResponse_Status = 3
)

var UnlockResponse_Status_name = map[int32]string{
	0: "SUCCESS",
	1: "LOCK_UNEXIST",
	2: "LOCK_BELONG_TO_OTHERS",
	3: "INTERNAL_ERROR",
}

var UnlockResponse_Status_value = map[string]int32{
	"SUCCESS":               0,
	"LOCK_UNEXIST":          1,
	"LOCK_BELONG_TO_OTHERS": 2,
	"INTERNAL_ERROR":        3,
}

func (x UnlockResponse_Status) String() string {
	return proto.EnumName(UnlockResponse_Status_name, int32(x))
}

func (UnlockResponse_Status) EnumDescriptor() ([]byte, []int) {
	return fileDescriptor_86e2dd377c869464, []int{6, 0}
}

type HTTPExtension_Verb int32

const (
	HTTPExtension_NONE    HTTPExtension_Verb = 0
	HTTPExtension_GET     HTTPExtension_Verb = 1
	HTTPExtension_HEAD    HTTPExtension_Verb = 2
	HTTPExtension_POST    HTTPExtension_Verb = 3
	HTTPExtension_PUT     HTTPExtension_Verb = 4
	HTTPExtension_DELETE  HTTPExtension_Verb = 5
	HTTPExtension_CONNECT HTTPExtension_Verb = 6
	HTTPExtension_OPTIONS HTTPExtension_Verb = 7
	HTTPExtension_TRACE   HTTPExtension_Verb = 8
)

var HTTPExtension_Verb_name = map[int32]string{
	0: "NONE",
	1: "GET",
	2: "HEAD",
	3: "POST",
	4: "PUT",
	5: "DELETE",
	6: "CONNECT",
	7: "OPTIONS",
	8: "TRACE",
}

var HTTPExtension_Verb_value = map[string]int32{
	"NONE":    0,
	"GET":     1,
	"HEAD":    2,
	"POST":    3,
	"PUT":     4,
	"DELETE":  5,
	"CONNECT": 6,
	"OPTIONS": 7,
	"TRACE":   8,
}

func (x HTTPExtension_Verb) String() string {
	return proto.EnumName(HTTPExtension_Verb_name, int32(x))
}

func (HTTPExtension_Verb) EnumDescriptor() ([]byte, []int) {
	return fileDescriptor_86e2dd377c869464, []int{11, 0}
}

// Enum describing the supported concurrency for state.
// The API server uses Optimized Concurrency Control (OCC) with ETags.
// When an ETag is associated with an save or delete request, the store shall allow the update only if the attached ETag matches with the latest ETag in the database.
// But when ETag is missing in the write requests, the state store shall handle the requests in the specified strategy(e.g. a last-write-wins fashion).
type StateOptions_StateConcurrency int32

const (
	StateOptions_CONCURRENCY_UNSPECIFIED StateOptions_StateConcurrency = 0
	// First write wins
	StateOptions_CONCURRENCY_FIRST_WRITE StateOptions_StateConcurrency = 1
	// Last write wins
	StateOptions_CONCURRENCY_LAST_WRITE StateOptions_StateConcurrency = 2
)

var StateOptions_StateConcurrency_name = map[int32]string{
	0: "CONCURRENCY_UNSPECIFIED",
	1: "CONCURRENCY_FIRST_WRITE",
	2: "CONCURRENCY_LAST_WRITE",
}

var StateOptions_StateConcurrency_value = map[string]int32{
	"CONCURRENCY_UNSPECIFIED": 0,
	"CONCURRENCY_FIRST_WRITE": 1,
	"CONCURRENCY_LAST_WRITE":  2,
}

func (x StateOptions_StateConcurrency) String() string {
	return proto.EnumName(StateOptions_StateConcurrency_name, int32(x))
}

func (StateOptions_StateConcurrency) EnumDescriptor() ([]byte, []int) {
	return fileDescriptor_86e2dd377c869464, []int{30, 0}
}

// Enum describing the supported consistency for state.
type StateOptions_StateConsistency int32

const (
	StateOptions_CONSISTENCY_UNSPECIFIED StateOptions_StateConsistency = 0
	//  The API server assumes data stores are eventually consistent by default.A state store should:
	//
	// - For read requests, the state store can return data from any of the replicas
	// - For write request, the state store should asynchronously replicate updates to configured quorum after acknowledging the update request.
	StateOptions_CONSISTENCY_EVENTUAL StateOptions_StateConsistency = 1
	// When a strong consistency hint is attached, a state store should:
	//
	// - For read requests, the state store should return the most up-to-date data consistently across replicas.
	// - For write/delete requests, the state store should synchronisely replicate updated data to configured quorum before completing the write request.
	StateOptions_CONSISTENCY_STRONG StateOptions_StateConsistency = 2
)

var StateOptions_StateConsistency_name = map[int32]string{
	0: "CONSISTENCY_UNSPECIFIED",
	1: "CONSISTENCY_EVENTUAL",
	2: "CONSISTENCY_STRONG",
}

var StateOptions_StateConsistency_value = map[string]int32{
	"CONSISTENCY_UNSPECIFIED": 0,
	"CONSISTENCY_EVENTUAL":    1,
	"CONSISTENCY_STRONG":      2,
}

func (x StateOptions_StateConsistency) String() string {
	return proto.EnumName(StateOptions_StateConsistency_name, int32(x))
}

func (StateOptions_StateConsistency) EnumDescriptor() ([]byte, []int) {
	return fileDescriptor_86e2dd377c869464, []int{30, 1}
}

type GetNextIdRequest struct {
	// Required. Name of sequencer storage
	StoreName string `protobuf:"bytes,1,opt,name=store_name,json=storeName,proto3" json:"store_name,omitempty"`
	// Required. key is the identifier of a sequencer namespace,e.g. "order_table".
	Key string `protobuf:"bytes,2,opt,name=key,proto3" json:"key,omitempty"`
	// (optional) SequencerOptions configures requirements for auto-increment guarantee
	Options *SequencerOptions `protobuf:"bytes,3,opt,name=options,proto3" json:"options,omitempty"`
	// (optional) The metadata which will be sent to the component.
	Metadata             map[string]string `protobuf:"bytes,4,rep,name=metadata,proto3" json:"metadata,omitempty" protobuf_key:"bytes,1,opt,name=key,proto3" protobuf_val:"bytes,2,opt,name=value,proto3"`
	XXX_NoUnkeyedLiteral struct{}          `json:"-"`
	XXX_unrecognized     []byte            `json:"-"`
	XXX_sizecache        int32             `json:"-"`
}

func (m *GetNextIdRequest) Reset()         { *m = GetNextIdRequest{} }
func (m *GetNextIdRequest) String() string { return proto.CompactTextString(m) }
func (*GetNextIdRequest) ProtoMessage()    {}
func (*GetNextIdRequest) Descriptor() ([]byte, []int) {
	return fileDescriptor_86e2dd377c869464, []int{0}
}

func (m *GetNextIdRequest) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_GetNextIdRequest.Unmarshal(m, b)
}
func (m *GetNextIdRequest) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_GetNextIdRequest.Marshal(b, m, deterministic)
}
func (m *GetNextIdRequest) XXX_Merge(src proto.Message) {
	xxx_messageInfo_GetNextIdRequest.Merge(m, src)
}
func (m *GetNextIdRequest) XXX_Size() int {
	return xxx_messageInfo_GetNextIdRequest.Size(m)
}
func (m *GetNextIdRequest) XXX_DiscardUnknown() {
	xxx_messageInfo_GetNextIdRequest.DiscardUnknown(m)
}

var xxx_messageInfo_GetNextIdRequest proto.InternalMessageInfo

func (m *GetNextIdRequest) GetStoreName() string {
	if m != nil {
		return m.StoreName
	}
	return ""
}

func (m *GetNextIdRequest) GetKey() string {
	if m != nil {
		return m.Key
	}
	return ""
}

func (m *GetNextIdRequest) GetOptions() *SequencerOptions {
	if m != nil {
		return m.Options
	}
	return nil
}

func (m *GetNextIdRequest) GetMetadata() map[string]string {
	if m != nil {
		return m.Metadata
	}
	return nil
}

// SequencerOptions configures requirements for auto-increment guarantee
type SequencerOptions struct {
	Increment            SequencerOptions_AutoIncrement `protobuf:"varint,1,opt,name=increment,proto3,enum=spec.proto.runtime.v1.SequencerOptions_AutoIncrement" json:"increment,omitempty"`
	XXX_NoUnkeyedLiteral struct{}                       `json:"-"`
	XXX_unrecognized     []byte                         `json:"-"`
	XXX_sizecache        int32                          `json:"-"`
}

func (m *SequencerOptions) Reset()         { *m = SequencerOptions{} }
func (m *SequencerOptions) String() string { return proto.CompactTextString(m) }
func (*SequencerOptions) ProtoMessage()    {}
func (*SequencerOptions) Descriptor() ([]byte, []int) {
	return fileDescriptor_86e2dd377c869464, []int{1}
}

func (m *SequencerOptions) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_SequencerOptions.Unmarshal(m, b)
}
func (m *SequencerOptions) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_SequencerOptions.Marshal(b, m, deterministic)
}
func (m *SequencerOptions) XXX_Merge(src proto.Message) {
	xxx_messageInfo_SequencerOptions.Merge(m, src)
}
func (m *SequencerOptions) XXX_Size() int {
	return xxx_messageInfo_SequencerOptions.Size(m)
}
func (m *SequencerOptions) XXX_DiscardUnknown() {
	xxx_messageInfo_SequencerOptions.DiscardUnknown(m)
}

var xxx_messageInfo_SequencerOptions proto.InternalMessageInfo

func (m *SequencerOptions) GetIncrement() SequencerOptions_AutoIncrement {
	if m != nil {
		return m.Increment
	}
	return SequencerOptions_WEAK
}

type GetNextIdResponse struct {
	// The next unique id
	NextId               int64    `protobuf:"varint,1,opt,name=next_id,json=nextId,proto3" json:"next_id,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *GetNextIdResponse) Reset()         { *m = GetNextIdResponse{} }
func (m *GetNextIdResponse) String() string { return proto.CompactTextString(m) }
func (*GetNextIdResponse) ProtoMessage()    {}
func (*GetNextIdResponse) Descriptor() ([]byte, []int) {
	return fileDescriptor_86e2dd377c869464, []int{2}
}

func (m *GetNextIdResponse) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_GetNextIdResponse.Unmarshal(m, b)
}
func (m *GetNextIdResponse) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_GetNextIdResponse.Marshal(b, m, deterministic)
}
func (m *GetNextIdResponse) XXX_Merge(src proto.Message) {
	xxx_messageInfo_GetNextIdResponse.Merge(m, src)
}
func (m *GetNextIdResponse) XXX_Size() int {
	return xxx_messageInfo_GetNextIdResponse.Size(m)
}
func (m *GetNextIdResponse) XXX_DiscardUnknown() {
	xxx_messageInfo_GetNextIdResponse.DiscardUnknown(m)
}

var xxx_messageInfo_GetNextIdResponse proto.InternalMessageInfo

func (m *GetNextIdResponse) GetNextId() int64 {
	if m != nil {
		return m.NextId
	}
	return 0
}

type TryLockRequest struct {
	StoreName string `protobuf:"bytes,1,opt,name=store_name,json=storeName,proto3" json:"store_name,omitempty"`
	// resource_id is the lock key.
	ResourceId string `protobuf:"bytes,2,opt,name=resource_id,json=resourceId,proto3" json:"resource_id,omitempty"`
	// lock_owner indicate the identifier of lock owner.
	// This field is required.You can generate a uuid as lock_owner.For example,in golang:
	//
	// req.LockOwner = uuid.New().String()
	//
	// This field is per request,not per process,so it is different for each request,
	// which aims to prevent multi-thread in the same process trying the same lock concurrently.
	//
	// The reason why we don't make it automatically generated is:
	// 1. If it is automatically generated,there must be a 'my_lock_owner_id' field in the response.
	// This name is so weird that we think it is inappropriate to put it into the api spec
	// 2. If we change the field 'my_lock_owner_id' in the response to 'lock_owner',which means the current lock owner of this lock,
	// we find that in some lock services users can't get the current lock owner.Actually users don't need it at all.
	// 3. When reentrant lock is needed,the existing lock_owner is required to identify client and check "whether this client can reenter this lock".
	// So this field in the request shouldn't be removed.
	LockOwner string `protobuf:"bytes,3,opt,name=lock_owner,json=lockOwner,proto3" json:"lock_owner,omitempty"`
	// expire is the time before expire.The time unit is second.
	Expire               int32    `protobuf:"varint,4,opt,name=expire,proto3" json:"expire,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *TryLockRequest) Reset()         { *m = TryLockRequest{} }
func (m *TryLockRequest) String() string { return proto.CompactTextString(m) }
func (*TryLockRequest) ProtoMessage()    {}
func (*TryLockRequest) Descriptor() ([]byte, []int) {
	return fileDescriptor_86e2dd377c869464, []int{3}
}

func (m *TryLockRequest) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_TryLockRequest.Unmarshal(m, b)
}
func (m *TryLockRequest) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_TryLockRequest.Marshal(b, m, deterministic)
}
func (m *TryLockRequest) XXX_Merge(src proto.Message) {
	xxx_messageInfo_TryLockRequest.Merge(m, src)
}
func (m *TryLockRequest) XXX_Size() int {
	return xxx_messageInfo_TryLockRequest.Size(m)
}
func (m *TryLockRequest) XXX_DiscardUnknown() {
	xxx_messageInfo_TryLockRequest.DiscardUnknown(m)
}

var xxx_messageInfo_TryLockRequest proto.InternalMessageInfo

func (m *TryLockRequest) GetStoreName() string {
	if m != nil {
		return m.StoreName
	}
	return ""
}

func (m *TryLockRequest) GetResourceId() string {
	if m != nil {
		return m.ResourceId
	}
	return ""
}

func (m *TryLockRequest) GetLockOwner() string {
	if m != nil {
		return m.LockOwner
	}
	return ""
}

func (m *TryLockRequest) GetExpire() int32 {
	if m != nil {
		return m.Expire
	}
	return 0
}

type TryLockResponse struct {
	Success              bool     `protobuf:"varint,1,opt,name=success,proto3" json:"success,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *TryLockResponse) Reset()         { *m = TryLockResponse{} }
func (m *TryLockResponse) String() string { return proto.CompactTextString(m) }
func (*TryLockResponse) ProtoMessage()    {}
func (*TryLockResponse) Descriptor() ([]byte, []int) {
	return fileDescriptor_86e2dd377c869464, []int{4}
}

func (m *TryLockResponse) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_TryLockResponse.Unmarshal(m, b)
}
func (m *TryLockResponse) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_TryLockResponse.Marshal(b, m, deterministic)
}
func (m *TryLockResponse) XXX_Merge(src proto.Message) {
	xxx_messageInfo_TryLockResponse.Merge(m, src)
}
func (m *TryLockResponse) XXX_Size() int {
	return xxx_messageInfo_TryLockResponse.Size(m)
}
func (m *TryLockResponse) XXX_DiscardUnknown() {
	xxx_messageInfo_TryLockResponse.DiscardUnknown(m)
}

var xxx_messageInfo_TryLockResponse proto.InternalMessageInfo

func (m *TryLockResponse) GetSuccess() bool {
	if m != nil {
		return m.Success
	}
	return false
}

type UnlockRequest struct {
	StoreName string `protobuf:"bytes,1,opt,name=store_name,json=storeName,proto3" json:"store_name,omitempty"`
	// resource_id is the lock key.
	ResourceId           string   `protobuf:"bytes,2,opt,name=resource_id,json=resourceId,proto3" json:"resource_id,omitempty"`
	LockOwner            string   `protobuf:"bytes,3,opt,name=lock_owner,json=lockOwner,proto3" json:"lock_owner,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *UnlockRequest) Reset()         { *m = UnlockRequest{} }
func (m *UnlockRequest) String() string { return proto.CompactTextString(m) }
func (*UnlockRequest) ProtoMessage()    {}
func (*UnlockRequest) Descriptor() ([]byte, []int) {
	return fileDescriptor_86e2dd377c869464, []int{5}
}

func (m *UnlockRequest) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_UnlockRequest.Unmarshal(m, b)
}
func (m *UnlockRequest) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_UnlockRequest.Marshal(b, m, deterministic)
}
func (m *UnlockRequest) XXX_Merge(src proto.Message) {
	xxx_messageInfo_UnlockRequest.Merge(m, src)
}
func (m *UnlockRequest) XXX_Size() int {
	return xxx_messageInfo_UnlockRequest.Size(m)
}
func (m *UnlockRequest) XXX_DiscardUnknown() {
	xxx_messageInfo_UnlockRequest.DiscardUnknown(m)
}

var xxx_messageInfo_UnlockRequest proto.InternalMessageInfo

func (m *UnlockRequest) GetStoreName() string {
	if m != nil {
		return m.StoreName
	}
	return ""
}

func (m *UnlockRequest) GetResourceId() string {
	if m != nil {
		return m.ResourceId
	}
	return ""
}

func (m *UnlockRequest) GetLockOwner() string {
	if m != nil {
		return m.LockOwner
	}
	return ""
}

type UnlockResponse struct {
	Status               UnlockResponse_Status `protobuf:"varint,1,opt,name=status,proto3,enum=spec.proto.runtime.v1.UnlockResponse_Status" json:"status,omitempty"`
	XXX_NoUnkeyedLiteral struct{}              `json:"-"`
	XXX_unrecognized     []byte                `json:"-"`
	XXX_sizecache        int32                 `json:"-"`
}

func (m *UnlockResponse) Reset()         { *m = UnlockResponse{} }
func (m *UnlockResponse) String() string { return proto.CompactTextString(m) }
func (*UnlockResponse) ProtoMessage()    {}
func (*UnlockResponse) Descriptor() ([]byte, []int) {
	return fileDescriptor_86e2dd377c869464, []int{6}
}

func (m *UnlockResponse) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_UnlockResponse.Unmarshal(m, b)
}
func (m *UnlockResponse) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_UnlockResponse.Marshal(b, m, deterministic)
}
func (m *UnlockResponse) XXX_Merge(src proto.Message) {
	xxx_messageInfo_UnlockResponse.Merge(m, src)
}
func (m *UnlockResponse) XXX_Size() int {
	return xxx_messageInfo_UnlockResponse.Size(m)
}
func (m *UnlockResponse) XXX_DiscardUnknown() {
	xxx_messageInfo_UnlockResponse.DiscardUnknown(m)
}

var xxx_messageInfo_UnlockResponse proto.InternalMessageInfo

func (m *UnlockResponse) GetStatus() UnlockResponse_Status {
	if m != nil {
		return m.Status
	}
	return UnlockResponse_SUCCESS
}

type SayHelloRequest struct {
	ServiceName          string   `protobuf:"bytes,1,opt,name=service_name,json=serviceName,proto3" json:"service_name,omitempty"`
	Name                 string   `protobuf:"bytes,2,opt,name=name,proto3" json:"name,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *SayHelloRequest) Reset()         { *m = SayHelloRequest{} }
func (m *SayHelloRequest) String() string { return proto.CompactTextString(m) }
func (*SayHelloRequest) ProtoMessage()    {}
func (*SayHelloRequest) Descriptor() ([]byte, []int) {
	return fileDescriptor_86e2dd377c869464, []int{7}
}

func (m *SayHelloRequest) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_SayHelloRequest.Unmarshal(m, b)
}
func (m *SayHelloRequest) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_SayHelloRequest.Marshal(b, m, deterministic)
}
func (m *SayHelloRequest) XXX_Merge(src proto.Message) {
	xxx_messageInfo_SayHelloRequest.Merge(m, src)
}
func (m *SayHelloRequest) XXX_Size() int {
	return xxx_messageInfo_SayHelloRequest.Size(m)
}
func (m *SayHelloRequest) XXX_DiscardUnknown() {
	xxx_messageInfo_SayHelloRequest.DiscardUnknown(m)
}

var xxx_messageInfo_SayHelloRequest proto.InternalMessageInfo

func (m *SayHelloRequest) GetServiceName() string {
	if m != nil {
		return m.ServiceName
	}
	return ""
}

func (m *SayHelloRequest) GetName() string {
	if m != nil {
		return m.Name
	}
	return ""
}

type SayHelloResponse struct {
	Hello                string   `protobuf:"bytes,1,opt,name=hello,proto3" json:"hello,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *SayHelloResponse) Reset()         { *m = SayHelloResponse{} }
func (m *SayHelloResponse) String() string { return proto.CompactTextString(m) }
func (*SayHelloResponse) ProtoMessage()    {}
func (*SayHelloResponse) Descriptor() ([]byte, []int) {
	return fileDescriptor_86e2dd377c869464, []int{8}
}

func (m *SayHelloResponse) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_SayHelloResponse.Unmarshal(m, b)
}
func (m *SayHelloResponse) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_SayHelloResponse.Marshal(b, m, deterministic)
}
func (m *SayHelloResponse) XXX_Merge(src proto.Message) {
	xxx_messageInfo_SayHelloResponse.Merge(m, src)
}
func (m *SayHelloResponse) XXX_Size() int {
	return xxx_messageInfo_SayHelloResponse.Size(m)
}
func (m *SayHelloResponse) XXX_DiscardUnknown() {
	xxx_messageInfo_SayHelloResponse.DiscardUnknown(m)
}

var xxx_messageInfo_SayHelloResponse proto.InternalMessageInfo

func (m *SayHelloResponse) GetHello() string {
	if m != nil {
		return m.Hello
	}
	return ""
}

type InvokeServiceRequest struct {
	Id                   string               `protobuf:"bytes,1,opt,name=id,proto3" json:"id,omitempty"`
	Message              *CommonInvokeRequest `protobuf:"bytes,3,opt,name=message,proto3" json:"message,omitempty"`
	XXX_NoUnkeyedLiteral struct{}             `json:"-"`
	XXX_unrecognized     []byte               `json:"-"`
	XXX_sizecache        int32                `json:"-"`
}

func (m *InvokeServiceRequest) Reset()         { *m = InvokeServiceRequest{} }
func (m *InvokeServiceRequest) String() string { return proto.CompactTextString(m) }
func (*InvokeServiceRequest) ProtoMessage()    {}
func (*InvokeServiceRequest) Descriptor() ([]byte, []int) {
	return fileDescriptor_86e2dd377c869464, []int{9}
}

func (m *InvokeServiceRequest) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_InvokeServiceRequest.Unmarshal(m, b)
}
func (m *InvokeServiceRequest) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_InvokeServiceRequest.Marshal(b, m, deterministic)
}
func (m *InvokeServiceRequest) XXX_Merge(src proto.Message) {
	xxx_messageInfo_InvokeServiceRequest.Merge(m, src)
}
func (m *InvokeServiceRequest) XXX_Size() int {
	return xxx_messageInfo_InvokeServiceRequest.Size(m)
}
func (m *InvokeServiceRequest) XXX_DiscardUnknown() {
	xxx_messageInfo_InvokeServiceRequest.DiscardUnknown(m)
}

var xxx_messageInfo_InvokeServiceRequest proto.InternalMessageInfo

func (m *InvokeServiceRequest) GetId() string {
	if m != nil {
		return m.Id
	}
	return ""
}

func (m *InvokeServiceRequest) GetMessage() *CommonInvokeRequest {
	if m != nil {
		return m.Message
	}
	return nil
}

type CommonInvokeRequest struct {
	Method               string         `protobuf:"bytes,1,opt,name=method,proto3" json:"method,omitempty"`
	Data                 *any.Any       `protobuf:"bytes,2,opt,name=data,proto3" json:"data,omitempty"`
	ContentType          string         `protobuf:"bytes,3,opt,name=content_type,json=contentType,proto3" json:"content_type,omitempty"`
	HttpExtension        *HTTPExtension `protobuf:"bytes,4,opt,name=http_extension,json=httpExtension,proto3" json:"http_extension,omitempty"`
	XXX_NoUnkeyedLiteral struct{}       `json:"-"`
	XXX_unrecognized     []byte         `json:"-"`
	XXX_sizecache        int32          `json:"-"`
}

func (m *CommonInvokeRequest) Reset()         { *m = CommonInvokeRequest{} }
func (m *CommonInvokeRequest) String() string { return proto.CompactTextString(m) }
func (*CommonInvokeRequest) ProtoMessage()    {}
func (*CommonInvokeRequest) Descriptor() ([]byte, []int) {
	return fileDescriptor_86e2dd377c869464, []int{10}
}

func (m *CommonInvokeRequest) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_CommonInvokeRequest.Unmarshal(m, b)
}
func (m *CommonInvokeRequest) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_CommonInvokeRequest.Marshal(b, m, deterministic)
}
func (m *CommonInvokeRequest) XXX_Merge(src proto.Message) {
	xxx_messageInfo_CommonInvokeRequest.Merge(m, src)
}
func (m *CommonInvokeRequest) XXX_Size() int {
	return xxx_messageInfo_CommonInvokeRequest.Size(m)
}
func (m *CommonInvokeRequest) XXX_DiscardUnknown() {
	xxx_messageInfo_CommonInvokeRequest.DiscardUnknown(m)
}

var xxx_messageInfo_CommonInvokeRequest proto.InternalMessageInfo

func (m *CommonInvokeRequest) GetMethod() string {
	if m != nil {
		return m.Method
	}
	return ""
}

func (m *CommonInvokeRequest) GetData() *any.Any {
	if m != nil {
		return m.Data
	}
	return nil
}

func (m *CommonInvokeRequest) GetContentType() string {
	if m != nil {
		return m.ContentType
	}
	return ""
}

func (m *CommonInvokeRequest) GetHttpExtension() *HTTPExtension {
	if m != nil {
		return m.HttpExtension
	}
	return nil
}

type HTTPExtension struct {
	Verb                 HTTPExtension_Verb `protobuf:"varint,1,opt,name=verb,proto3,enum=spec.proto.runtime.v1.HTTPExtension_Verb" json:"verb,omitempty"`
	Querystring          string             `protobuf:"bytes,2,opt,name=querystring,proto3" json:"querystring,omitempty"`
	XXX_NoUnkeyedLiteral struct{}           `json:"-"`
	XXX_unrecognized     []byte             `json:"-"`
	XXX_sizecache        int32              `json:"-"`
}

func (m *HTTPExtension) Reset()         { *m = HTTPExtension{} }
func (m *HTTPExtension) String() string { return proto.CompactTextString(m) }
func (*HTTPExtension) ProtoMessage()    {}
func (*HTTPExtension) Descriptor() ([]byte, []int) {
	return fileDescriptor_86e2dd377c869464, []int{11}
}

func (m *HTTPExtension) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_HTTPExtension.Unmarshal(m, b)
}
func (m *HTTPExtension) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_HTTPExtension.Marshal(b, m, deterministic)
}
func (m *HTTPExtension) XXX_Merge(src proto.Message) {
	xxx_messageInfo_HTTPExtension.Merge(m, src)
}
func (m *HTTPExtension) XXX_Size() int {
	return xxx_messageInfo_HTTPExtension.Size(m)
}
func (m *HTTPExtension) XXX_DiscardUnknown() {
	xxx_messageInfo_HTTPExtension.DiscardUnknown(m)
}

var xxx_messageInfo_HTTPExtension proto.InternalMessageInfo

func (m *HTTPExtension) GetVerb() HTTPExtension_Verb {
	if m != nil {
		return m.Verb
	}
	return HTTPExtension_NONE
}

func (m *HTTPExtension) GetQuerystring() string {
	if m != nil {
		return m.Querystring
	}
	return ""
}

type InvokeResponse struct {
	Data                 *any.Any `protobuf:"bytes,1,opt,name=data,proto3" json:"data,omitempty"`
	ContentType          string   `protobuf:"bytes,2,opt,name=content_type,json=contentType,proto3" json:"content_type,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *InvokeResponse) Reset()         { *m = InvokeResponse{} }
func (m *InvokeResponse) String() string { return proto.CompactTextString(m) }
func (*InvokeResponse) ProtoMessage()    {}
func (*InvokeResponse) Descriptor() ([]byte, []int) {
	return fileDescriptor_86e2dd377c869464, []int{12}
}

func (m *InvokeResponse) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_InvokeResponse.Unmarshal(m, b)
}
func (m *InvokeResponse) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_InvokeResponse.Marshal(b, m, deterministic)
}
func (m *InvokeResponse) XXX_Merge(src proto.Message) {
	xxx_messageInfo_InvokeResponse.Merge(m, src)
}
func (m *InvokeResponse) XXX_Size() int {
	return xxx_messageInfo_InvokeResponse.Size(m)
}
func (m *InvokeResponse) XXX_DiscardUnknown() {
	xxx_messageInfo_InvokeResponse.DiscardUnknown(m)
}

var xxx_messageInfo_InvokeResponse proto.InternalMessageInfo

func (m *InvokeResponse) GetData() *any.Any {
	if m != nil {
		return m.Data
	}
	return nil
}

func (m *InvokeResponse) GetContentType() string {
	if m != nil {
		return m.ContentType
	}
	return ""
}

// ConfigurationItem represents a configuration item with key, content and other information.
type ConfigurationItem struct {
	// Required. The key of configuration item
	Key string `protobuf:"bytes,1,opt,name=key,proto3" json:"key,omitempty"`
	// The content of configuration item
	// Empty if the configuration is not set, including the case that the configuration is changed from value-set to value-not-set.
	Content string `protobuf:"bytes,2,opt,name=content,proto3" json:"content,omitempty"`
	// The group of configuration item.
	Group string `protobuf:"bytes,3,opt,name=group,proto3" json:"group,omitempty"`
	// The label of configuration item.
	Label string `protobuf:"bytes,4,opt,name=label,proto3" json:"label,omitempty"`
	// The tag list of configuration item.
	Tags map[string]string `protobuf:"bytes,5,rep,name=tags,proto3" json:"tags,omitempty" protobuf_key:"bytes,1,opt,name=key,proto3" protobuf_val:"bytes,2,opt,name=value,proto3"`
	// The metadata which will be passed to configuration store component.
	Metadata             map[string]string `protobuf:"bytes,6,rep,name=metadata,proto3" json:"metadata,omitempty" protobuf_key:"bytes,1,opt,name=key,proto3" protobuf_val:"bytes,2,opt,name=value,proto3"`
	XXX_NoUnkeyedLiteral struct{}          `json:"-"`
	XXX_unrecognized     []byte            `json:"-"`
	XXX_sizecache        int32             `json:"-"`
}

func (m *ConfigurationItem) Reset()         { *m = ConfigurationItem{} }
func (m *ConfigurationItem) String() string { return proto.CompactTextString(m) }
func (*ConfigurationItem) ProtoMessage()    {}
func (*ConfigurationItem) Descriptor() ([]byte, []int) {
	return fileDescriptor_86e2dd377c869464, []int{13}
}

func (m *ConfigurationItem) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_ConfigurationItem.Unmarshal(m, b)
}
func (m *ConfigurationItem) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_ConfigurationItem.Marshal(b, m, deterministic)
}
func (m *ConfigurationItem) XXX_Merge(src proto.Message) {
	xxx_messageInfo_ConfigurationItem.Merge(m, src)
}
func (m *ConfigurationItem) XXX_Size() int {
	return xxx_messageInfo_ConfigurationItem.Size(m)
}
func (m *ConfigurationItem) XXX_DiscardUnknown() {
	xxx_messageInfo_ConfigurationItem.DiscardUnknown(m)
}

var xxx_messageInfo_ConfigurationItem proto.InternalMessageInfo

func (m *ConfigurationItem) GetKey() string {
	if m != nil {
		return m.Key
	}
	return ""
}

func (m *ConfigurationItem) GetContent() string {
	if m != nil {
		return m.Content
	}
	return ""
}

func (m *ConfigurationItem) GetGroup() string {
	if m != nil {
		return m.Group
	}
	return ""
}

func (m *ConfigurationItem) GetLabel() string {
	if m != nil {
		return m.Label
	}
	return ""
}

func (m *ConfigurationItem) GetTags() map[string]string {
	if m != nil {
		return m.Tags
	}
	return nil
}

func (m *ConfigurationItem) GetMetadata() map[string]string {
	if m != nil {
		return m.Metadata
	}
	return nil
}

// GetConfigurationRequest is the message to get a list of key-value configuration from specified configuration store.
type GetConfigurationRequest struct {
	// The name of configuration store.
	StoreName string `protobuf:"bytes,1,opt,name=store_name,json=storeName,proto3" json:"store_name,omitempty"`
	// The application id which
	// Only used for admin, Ignored and reset for normal client
	AppId string `protobuf:"bytes,2,opt,name=app_id,json=appId,proto3" json:"app_id,omitempty"`
	// The group of keys.
	Group string `protobuf:"bytes,3,opt,name=group,proto3" json:"group,omitempty"`
	// The label for keys.
	Label string `protobuf:"bytes,4,opt,name=label,proto3" json:"label,omitempty"`
	// The keys to get.
	Keys []string `protobuf:"bytes,5,rep,name=keys,proto3" json:"keys,omitempty"`
	// The metadata which will be sent to configuration store components.
	Metadata map[string]string `protobuf:"bytes,6,rep,name=metadata,proto3" json:"metadata,omitempty" protobuf_key:"bytes,1,opt,name=key,proto3" protobuf_val:"bytes,2,opt,name=value,proto3"`
	// Subscribes update event for given keys.
	// If true, when any configuration item in this request is updated, app will receive event by OnConfigurationEvent() of app callback
	SubscribeUpdate      bool     `protobuf:"varint,7,opt,name=subscribe_update,json=subscribeUpdate,proto3" json:"subscribe_update,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *GetConfigurationRequest) Reset()         { *m = GetConfigurationRequest{} }
func (m *GetConfigurationRequest) String() string { return proto.CompactTextString(m) }
func (*GetConfigurationRequest) ProtoMessage()    {}
func (*GetConfigurationRequest) Descriptor() ([]byte, []int) {
	return fileDescriptor_86e2dd377c869464, []int{14}
}

func (m *GetConfigurationRequest) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_GetConfigurationRequest.Unmarshal(m, b)
}
func (m *GetConfigurationRequest) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_GetConfigurationRequest.Marshal(b, m, deterministic)
}
func (m *GetConfigurationRequest) XXX_Merge(src proto.Message) {
	xxx_messageInfo_GetConfigurationRequest.Merge(m, src)
}
func (m *GetConfigurationRequest) XXX_Size() int {
	return xxx_messageInfo_GetConfigurationRequest.Size(m)
}
func (m *GetConfigurationRequest) XXX_DiscardUnknown() {
	xxx_messageInfo_GetConfigurationRequest.DiscardUnknown(m)
}

var xxx_messageInfo_GetConfigurationRequest proto.InternalMessageInfo

func (m *GetConfigurationRequest) GetStoreName() string {
	if m != nil {
		return m.StoreName
	}
	return ""
}

func (m *GetConfigurationRequest) GetAppId() string {
	if m != nil {
		return m.AppId
	}
	return ""
}

func (m *GetConfigurationRequest) GetGroup() string {
	if m != nil {
		return m.Group
	}
	return ""
}

func (m *GetConfigurationRequest) GetLabel() string {
	if m != nil {
		return m.Label
	}
	return ""
}

func (m *GetConfigurationRequest) GetKeys() []string {
	if m != nil {
		return m.Keys
	}
	return nil
}

func (m *GetConfigurationRequest) GetMetadata() map[string]string {
	if m != nil {
		return m.Metadata
	}
	return nil
}

func (m *GetConfigurationRequest) GetSubscribeUpdate() bool {
	if m != nil {
		return m.SubscribeUpdate
	}
	return false
}

// GetConfigurationResponse is the response conveying the list of configuration values.
type GetConfigurationResponse struct {
	// The list of items containing configuration values.
	Items                []*ConfigurationItem `protobuf:"bytes,1,rep,name=items,proto3" json:"items,omitempty"`
	XXX_NoUnkeyedLiteral struct{}             `json:"-"`
	XXX_unrecognized     []byte               `json:"-"`
	XXX_sizecache        int32                `json:"-"`
}

func (m *GetConfigurationResponse) Reset()         { *m = GetConfigurationResponse{} }
func (m *GetConfigurationResponse) String() string { return proto.CompactTextString(m) }
func (*GetConfigurationResponse) ProtoMessage()    {}
func (*GetConfigurationResponse) Descriptor() ([]byte, []int) {
	return fileDescriptor_86e2dd377c869464, []int{15}
}

func (m *GetConfigurationResponse) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_GetConfigurationResponse.Unmarshal(m, b)
}
func (m *GetConfigurationResponse) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_GetConfigurationResponse.Marshal(b, m, deterministic)
}
func (m *GetConfigurationResponse) XXX_Merge(src proto.Message) {
	xxx_messageInfo_GetConfigurationResponse.Merge(m, src)
}
func (m *GetConfigurationResponse) XXX_Size() int {
	return xxx_messageInfo_GetConfigurationResponse.Size(m)
}
func (m *GetConfigurationResponse) XXX_DiscardUnknown() {
	xxx_messageInfo_GetConfigurationResponse.DiscardUnknown(m)
}

var xxx_messageInfo_GetConfigurationResponse proto.InternalMessageInfo

func (m *GetConfigurationResponse) GetItems() []*ConfigurationItem {
	if m != nil {
		return m.Items
	}
	return nil
}

// SubscribeConfigurationRequest is the message to get a list of key-value configuration from specified configuration store.
type SubscribeConfigurationRequest struct {
	// The name of configuration store.
	StoreName string `protobuf:"bytes,1,opt,name=store_name,json=storeName,proto3" json:"store_name,omitempty"`
	// The application id which
	// Only used for admin, ignored and reset for normal client
	AppId string `protobuf:"bytes,2,opt,name=app_id,json=appId,proto3" json:"app_id,omitempty"`
	// The group of keys.
	Group string `protobuf:"bytes,3,opt,name=group,proto3" json:"group,omitempty"`
	// The label for keys.
	Label string `protobuf:"bytes,4,opt,name=label,proto3" json:"label,omitempty"`
	// The keys to get.
	Keys []string `protobuf:"bytes,5,rep,name=keys,proto3" json:"keys,omitempty"`
	// The metadata which will be sent to configuration store components.
	Metadata             map[string]string `protobuf:"bytes,6,rep,name=metadata,proto3" json:"metadata,omitempty" protobuf_key:"bytes,1,opt,name=key,proto3" protobuf_val:"bytes,2,opt,name=value,proto3"`
	XXX_NoUnkeyedLiteral struct{}          `json:"-"`
	XXX_unrecognized     []byte            `json:"-"`
	XXX_sizecache        int32             `json:"-"`
}

func (m *SubscribeConfigurationRequest) Reset()         { *m = SubscribeConfigurationRequest{} }
func (m *SubscribeConfigurationRequest) String() string { return proto.CompactTextString(m) }
func (*SubscribeConfigurationRequest) ProtoMessage()    {}
func (*SubscribeConfigurationRequest) Descriptor() ([]byte, []int) {
	return fileDescriptor_86e2dd377c869464, []int{16}
}

func (m *SubscribeConfigurationRequest) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_SubscribeConfigurationRequest.Unmarshal(m, b)
}
func (m *SubscribeConfigurationRequest) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_SubscribeConfigurationRequest.Marshal(b, m, deterministic)
}
func (m *SubscribeConfigurationRequest) XXX_Merge(src proto.Message) {
	xxx_messageInfo_SubscribeConfigurationRequest.Merge(m, src)
}
func (m *SubscribeConfigurationRequest) XXX_Size() int {
	return xxx_messageInfo_SubscribeConfigurationRequest.Size(m)
}
func (m *SubscribeConfigurationRequest) XXX_DiscardUnknown() {
	xxx_messageInfo_SubscribeConfigurationRequest.DiscardUnknown(m)
}

var xxx_messageInfo_SubscribeConfigurationRequest proto.InternalMessageInfo

func (m *SubscribeConfigurationRequest) GetStoreName() string {
	if m != nil {
		return m.StoreName
	}
	return ""
}

func (m *SubscribeConfigurationRequest) GetAppId() string {
	if m != nil {
		return m.AppId
	}
	return ""
}

func (m *SubscribeConfigurationRequest) GetGroup() string {
	if m != nil {
		return m.Group
	}
	return ""
}

func (m *SubscribeConfigurationRequest) GetLabel() string {
	if m != nil {
		return m.Label
	}
	return ""
}

func (m *SubscribeConfigurationRequest) GetKeys() []string {
	if m != nil {
		return m.Keys
	}
	return nil
}

func (m *SubscribeConfigurationRequest) GetMetadata() map[string]string {
	if m != nil {
		return m.Metadata
	}
	return nil
}

// SubscribeConfigurationResponse is the response conveying the list of configuration values.
type SubscribeConfigurationResponse struct {
	// The name of configuration store.
	StoreName string `protobuf:"bytes,1,opt,name=store_name,json=storeName,proto3" json:"store_name,omitempty"`
	// The application id.
	// Only used for admin client.
	AppId string `protobuf:"bytes,2,opt,name=app_id,json=appId,proto3" json:"app_id,omitempty"`
	// The list of items containing configuration values.
	Items                []*ConfigurationItem `protobuf:"bytes,3,rep,name=items,proto3" json:"items,omitempty"`
	XXX_NoUnkeyedLiteral struct{}             `json:"-"`
	XXX_unrecognized     []byte               `json:"-"`
	XXX_sizecache        int32                `json:"-"`
}

func (m *SubscribeConfigurationResponse) Reset()         { *m = SubscribeConfigurationResponse{} }
func (m *SubscribeConfigurationResponse) String() string { return proto.CompactTextString(m) }
func (*SubscribeConfigurationResponse) ProtoMessage()    {}
func (*SubscribeConfigurationResponse) Descriptor() ([]byte, []int) {
	return fileDescriptor_86e2dd377c869464, []int{17}
}

func (m *SubscribeConfigurationResponse) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_SubscribeConfigurationResponse.Unmarshal(m, b)
}
func (m *SubscribeConfigurationResponse) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_SubscribeConfigurationResponse.Marshal(b, m, deterministic)
}
func (m *SubscribeConfigurationResponse) XXX_Merge(src proto.Message) {
	xxx_messageInfo_SubscribeConfigurationResponse.Merge(m, src)
}
func (m *SubscribeConfigurationResponse) XXX_Size() int {
	return xxx_messageInfo_SubscribeConfigurationResponse.Size(m)
}
func (m *SubscribeConfigurationResponse) XXX_DiscardUnknown() {
	xxx_messageInfo_SubscribeConfigurationResponse.DiscardUnknown(m)
}

var xxx_messageInfo_SubscribeConfigurationResponse proto.InternalMessageInfo

func (m *SubscribeConfigurationResponse) GetStoreName() string {
	if m != nil {
		return m.StoreName
	}
	return ""
}

func (m *SubscribeConfigurationResponse) GetAppId() string {
	if m != nil {
		return m.AppId
	}
	return ""
}

func (m *SubscribeConfigurationResponse) GetItems() []*ConfigurationItem {
	if m != nil {
		return m.Items
	}
	return nil
}

// SaveConfigurationRequest is the message to save a list of key-value configuration into specified configuration store.
type SaveConfigurationRequest struct {
	// The name of configuration store.
	StoreName string `protobuf:"bytes,1,opt,name=store_name,json=storeName,proto3" json:"store_name,omitempty"`
	// The application id which
	// Only used for admin, ignored and reset for normal client
	AppId string `protobuf:"bytes,2,opt,name=app_id,json=appId,proto3" json:"app_id,omitempty"`
	// The list of configuration items to save.
	// To delete a exist item, set the key (also label) and let content to be empty
	Items []*ConfigurationItem `protobuf:"bytes,3,rep,name=items,proto3" json:"items,omitempty"`
	// The metadata which will be sent to configuration store components.
	Metadata             map[string]string `protobuf:"bytes,4,rep,name=metadata,proto3" json:"metadata,omitempty" protobuf_key:"bytes,1,opt,name=key,proto3" protobuf_val:"bytes,2,opt,name=value,proto3"`
	XXX_NoUnkeyedLiteral struct{}          `json:"-"`
	XXX_unrecognized     []byte            `json:"-"`
	XXX_sizecache        int32             `json:"-"`
}

func (m *SaveConfigurationRequest) Reset()         { *m = SaveConfigurationRequest{} }
func (m *SaveConfigurationRequest) String() string { return proto.CompactTextString(m) }
func (*SaveConfigurationRequest) ProtoMessage()    {}
func (*SaveConfigurationRequest) Descriptor() ([]byte, []int) {
	return fileDescriptor_86e2dd377c869464, []int{18}
}

func (m *SaveConfigurationRequest) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_SaveConfigurationRequest.Unmarshal(m, b)
}
func (m *SaveConfigurationRequest) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_SaveConfigurationRequest.Marshal(b, m, deterministic)
}
func (m *SaveConfigurationRequest) XXX_Merge(src proto.Message) {
	xxx_messageInfo_SaveConfigurationRequest.Merge(m, src)
}
func (m *SaveConfigurationRequest) XXX_Size() int {
	return xxx_messageInfo_SaveConfigurationRequest.Size(m)
}
func (m *SaveConfigurationRequest) XXX_DiscardUnknown() {
	xxx_messageInfo_SaveConfigurationRequest.DiscardUnknown(m)
}

var xxx_messageInfo_SaveConfigurationRequest proto.InternalMessageInfo

func (m *SaveConfigurationRequest) GetStoreName() string {
	if m != nil {
		return m.StoreName
	}
	return ""
}

func (m *SaveConfigurationRequest) GetAppId() string {
	if m != nil {
		return m.AppId
	}
	return ""
}

func (m *SaveConfigurationRequest) GetItems() []*ConfigurationItem {
	if m != nil {
		return m.Items
	}
	return nil
}

func (m *SaveConfigurationRequest) GetMetadata() map[string]string {
	if m != nil {
		return m.Metadata
	}
	return nil
}

// DeleteConfigurationRequest is the message to delete a list of key-value configuration from specified configuration store.
type DeleteConfigurationRequest struct {
	// The name of configuration store.
	StoreName string `protobuf:"bytes,1,opt,name=store_name,json=storeName,proto3" json:"store_name,omitempty"`
	// The application id which
	// Only used for admin, Ignored and reset for normal client
	AppId string `protobuf:"bytes,2,opt,name=app_id,json=appId,proto3" json:"app_id,omitempty"`
	// The group of keys.
	Group string `protobuf:"bytes,3,opt,name=group,proto3" json:"group,omitempty"`
	// The label for keys.
	Label string `protobuf:"bytes,4,opt,name=label,proto3" json:"label,omitempty"`
	// The keys to get.
	Keys []string `protobuf:"bytes,5,rep,name=keys,proto3" json:"keys,omitempty"`
	// The metadata which will be sent to configuration store components.
	Metadata             map[string]string `protobuf:"bytes,6,rep,name=metadata,proto3" json:"metadata,omitempty" protobuf_key:"bytes,1,opt,name=key,proto3" protobuf_val:"bytes,2,opt,name=value,proto3"`
	XXX_NoUnkeyedLiteral struct{}          `json:"-"`
	XXX_unrecognized     []byte            `json:"-"`
	XXX_sizecache        int32             `json:"-"`
}

func (m *DeleteConfigurationRequest) Reset()         { *m = DeleteConfigurationRequest{} }
func (m *DeleteConfigurationRequest) String() string { return proto.CompactTextString(m) }
func (*DeleteConfigurationRequest) ProtoMessage()    {}
func (*DeleteConfigurationRequest) Descriptor() ([]byte, []int) {
	return fileDescriptor_86e2dd377c869464, []int{19}
}

func (m *DeleteConfigurationRequest) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_DeleteConfigurationRequest.Unmarshal(m, b)
}
func (m *DeleteConfigurationRequest) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_DeleteConfigurationRequest.Marshal(b, m, deterministic)
}
func (m *DeleteConfigurationRequest) XXX_Merge(src proto.Message) {
	xxx_messageInfo_DeleteConfigurationRequest.Merge(m, src)
}
func (m *DeleteConfigurationRequest) XXX_Size() int {
	return xxx_messageInfo_DeleteConfigurationRequest.Size(m)
}
func (m *DeleteConfigurationRequest) XXX_DiscardUnknown() {
	xxx_messageInfo_DeleteConfigurationRequest.DiscardUnknown(m)
}

var xxx_messageInfo_DeleteConfigurationRequest proto.InternalMessageInfo

func (m *DeleteConfigurationRequest) GetStoreName() string {
	if m != nil {
		return m.StoreName
	}
	return ""
}

func (m *DeleteConfigurationRequest) GetAppId() string {
	if m != nil {
		return m.AppId
	}
	return ""
}

func (m *DeleteConfigurationRequest) GetGroup() string {
	if m != nil {
		return m.Group
	}
	return ""
}

func (m *DeleteConfigurationRequest) GetLabel() string {
	if m != nil {
		return m.Label
	}
	return ""
}

func (m *DeleteConfigurationRequest) GetKeys() []string {
	if m != nil {
		return m.Keys
	}
	return nil
}

func (m *DeleteConfigurationRequest) GetMetadata() map[string]string {
	if m != nil {
		return m.Metadata
	}
	return nil
}

// GetStateRequest is the message to get key-value states from specific state store.
type GetStateRequest struct {
	// Required. The name of state store.
	StoreName string `protobuf:"bytes,1,opt,name=store_name,json=storeName,proto3" json:"store_name,omitempty"`
	// Required. The key of the desired state
	Key string `protobuf:"bytes,2,opt,name=key,proto3" json:"key,omitempty"`
	// (optional) read consistency mode
	Consistency StateOptions_StateConsistency `protobuf:"varint,3,opt,name=consistency,proto3,enum=spec.proto.runtime.v1.StateOptions_StateConsistency" json:"consistency,omitempty"`
	// (optional) The metadata which will be sent to state store components.
	Metadata             map[string]string `protobuf:"bytes,4,rep,name=metadata,proto3" json:"metadata,omitempty" protobuf_key:"bytes,1,opt,name=key,proto3" protobuf_val:"bytes,2,opt,name=value,proto3"`
	XXX_NoUnkeyedLiteral struct{}          `json:"-"`
	XXX_unrecognized     []byte            `json:"-"`
	XXX_sizecache        int32             `json:"-"`
}

func (m *GetStateRequest) Reset()         { *m = GetStateRequest{} }
func (m *GetStateRequest) String() string { return proto.CompactTextString(m) }
func (*GetStateRequest) ProtoMessage()    {}
func (*GetStateRequest) Descriptor() ([]byte, []int) {
	return fileDescriptor_86e2dd377c869464, []int{20}
}

func (m *GetStateRequest) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_GetStateRequest.Unmarshal(m, b)
}
func (m *GetStateRequest) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_GetStateRequest.Marshal(b, m, deterministic)
}
func (m *GetStateRequest) XXX_Merge(src proto.Message) {
	xxx_messageInfo_GetStateRequest.Merge(m, src)
}
func (m *GetStateRequest) XXX_Size() int {
	return xxx_messageInfo_GetStateRequest.Size(m)
}
func (m *GetStateRequest) XXX_DiscardUnknown() {
	xxx_messageInfo_GetStateRequest.DiscardUnknown(m)
}

var xxx_messageInfo_GetStateRequest proto.InternalMessageInfo

func (m *GetStateRequest) GetStoreName() string {
	if m != nil {
		return m.StoreName
	}
	return ""
}

func (m *GetStateRequest) GetKey() string {
	if m != nil {
		return m.Key
	}
	return ""
}

func (m *GetStateRequest) GetConsistency() StateOptions_StateConsistency {
	if m != nil {
		return m.Consistency
	}
	return StateOptions_CONSISTENCY_UNSPECIFIED
}

func (m *GetStateRequest) GetMetadata() map[string]string {
	if m != nil {
		return m.Metadata
	}
	return nil
}

// GetBulkStateRequest is the message to get a list of key-value states from specific state store.
type GetBulkStateRequest struct {
	// Required. The name of state store.
	StoreName string `protobuf:"bytes,1,opt,name=store_name,json=storeName,proto3" json:"store_name,omitempty"`
	// Required. The keys to get.
	Keys []string `protobuf:"bytes,2,rep,name=keys,proto3" json:"keys,omitempty"`
	// (optional) The number of parallel operations executed on the state store for a get operation.
	Parallelism int32 `protobuf:"varint,3,opt,name=parallelism,proto3" json:"parallelism,omitempty"`
	// (optional) The metadata which will be sent to state store components.
	Metadata             map[string]string `protobuf:"bytes,4,rep,name=metadata,proto3" json:"metadata,omitempty" protobuf_key:"bytes,1,opt,name=key,proto3" protobuf_val:"bytes,2,opt,name=value,proto3"`
	XXX_NoUnkeyedLiteral struct{}          `json:"-"`
	XXX_unrecognized     []byte            `json:"-"`
	XXX_sizecache        int32             `json:"-"`
}

func (m *GetBulkStateRequest) Reset()         { *m = GetBulkStateRequest{} }
func (m *GetBulkStateRequest) String() string { return proto.CompactTextString(m) }
func (*GetBulkStateRequest) ProtoMessage()    {}
func (*GetBulkStateRequest) Descriptor() ([]byte, []int) {
	return fileDescriptor_86e2dd377c869464, []int{21}
}

func (m *GetBulkStateRequest) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_GetBulkStateRequest.Unmarshal(m, b)
}
func (m *GetBulkStateRequest) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_GetBulkStateRequest.Marshal(b, m, deterministic)
}
func (m *GetBulkStateRequest) XXX_Merge(src proto.Message) {
	xxx_messageInfo_GetBulkStateRequest.Merge(m, src)
}
func (m *GetBulkStateRequest) XXX_Size() int {
	return xxx_messageInfo_GetBulkStateRequest.Size(m)
}
func (m *GetBulkStateRequest) XXX_DiscardUnknown() {
	xxx_messageInfo_GetBulkStateRequest.DiscardUnknown(m)
}

var xxx_messageInfo_GetBulkStateRequest proto.InternalMessageInfo

func (m *GetBulkStateRequest) GetStoreName() string {
	if m != nil {
		return m.StoreName
	}
	return ""
}

func (m *GetBulkStateRequest) GetKeys() []string {
	if m != nil {
		return m.Keys
	}
	return nil
}

func (m *GetBulkStateRequest) GetParallelism() int32 {
	if m != nil {
		return m.Parallelism
	}
	return 0
}

func (m *GetBulkStateRequest) GetMetadata() map[string]string {
	if m != nil {
		return m.Metadata
	}
	return nil
}

// GetBulkStateResponse is the response conveying the list of state values.
type GetBulkStateResponse struct {
	// The list of items containing the keys to get values for.
	Items                []*BulkStateItem `protobuf:"bytes,1,rep,name=items,proto3" json:"items,omitempty"`
	XXX_NoUnkeyedLiteral struct{}         `json:"-"`
	XXX_unrecognized     []byte           `json:"-"`
	XXX_sizecache        int32            `json:"-"`
}

func (m *GetBulkStateResponse) Reset()         { *m = GetBulkStateResponse{} }
func (m *GetBulkStateResponse) String() string { return proto.CompactTextString(m) }
func (*GetBulkStateResponse) ProtoMessage()    {}
func (*GetBulkStateResponse) Descriptor() ([]byte, []int) {
	return fileDescriptor_86e2dd377c869464, []int{22}
}

func (m *GetBulkStateResponse) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_GetBulkStateResponse.Unmarshal(m, b)
}
func (m *GetBulkStateResponse) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_GetBulkStateResponse.Marshal(b, m, deterministic)
}
func (m *GetBulkStateResponse) XXX_Merge(src proto.Message) {
	xxx_messageInfo_GetBulkStateResponse.Merge(m, src)
}
func (m *GetBulkStateResponse) XXX_Size() int {
	return xxx_messageInfo_GetBulkStateResponse.Size(m)
}
func (m *GetBulkStateResponse) XXX_DiscardUnknown() {
	xxx_messageInfo_GetBulkStateResponse.DiscardUnknown(m)
}

var xxx_messageInfo_GetBulkStateResponse proto.InternalMessageInfo

func (m *GetBulkStateResponse) GetItems() []*BulkStateItem {
	if m != nil {
		return m.Items
	}
	return nil
}

// BulkStateItem is the response item for a bulk get operation.
// Return values include the item key, data and etag.
type BulkStateItem struct {
	// state item key
	Key string `protobuf:"bytes,1,opt,name=key,proto3" json:"key,omitempty"`
	// The byte array data
	Data []byte `protobuf:"bytes,2,opt,name=data,proto3" json:"data,omitempty"`
	// The entity tag which represents the specific version of data.
	// ETag format is defined by the corresponding data store.
	Etag string `protobuf:"bytes,3,opt,name=etag,proto3" json:"etag,omitempty"`
	// The error that was returned from the state store in case of a failed get operation.
	Error string `protobuf:"bytes,4,opt,name=error,proto3" json:"error,omitempty"`
	// The metadata which will be sent to app.
	Metadata             map[string]string `protobuf:"bytes,5,rep,name=metadata,proto3" json:"metadata,omitempty" protobuf_key:"bytes,1,opt,name=key,proto3" protobuf_val:"bytes,2,opt,name=value,proto3"`
	XXX_NoUnkeyedLiteral struct{}          `json:"-"`
	XXX_unrecognized     []byte            `json:"-"`
	XXX_sizecache        int32             `json:"-"`
}

func (m *BulkStateItem) Reset()         { *m = BulkStateItem{} }
func (m *BulkStateItem) String() string { return proto.CompactTextString(m) }
func (*BulkStateItem) ProtoMessage()    {}
func (*BulkStateItem) Descriptor() ([]byte, []int) {
	return fileDescriptor_86e2dd377c869464, []int{23}
}

func (m *BulkStateItem) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_BulkStateItem.Unmarshal(m, b)
}
func (m *BulkStateItem) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_BulkStateItem.Marshal(b, m, deterministic)
}
func (m *BulkStateItem) XXX_Merge(src proto.Message) {
	xxx_messageInfo_BulkStateItem.Merge(m, src)
}
func (m *BulkStateItem) XXX_Size() int {
	return xxx_messageInfo_BulkStateItem.Size(m)
}
func (m *BulkStateItem) XXX_DiscardUnknown() {
	xxx_messageInfo_BulkStateItem.DiscardUnknown(m)
}

var xxx_messageInfo_BulkStateItem proto.InternalMessageInfo

func (m *BulkStateItem) GetKey() string {
	if m != nil {
		return m.Key
	}
	return ""
}

func (m *BulkStateItem) GetData() []byte {
	if m != nil {
		return m.Data
	}
	return nil
}

func (m *BulkStateItem) GetEtag() string {
	if m != nil {
		return m.Etag
	}
	return ""
}

func (m *BulkStateItem) GetError() string {
	if m != nil {
		return m.Error
	}
	return ""
}

func (m *BulkStateItem) GetMetadata() map[string]string {
	if m != nil {
		return m.Metadata
	}
	return nil
}

// GetStateResponse is the response conveying the state value and etag.
type GetStateResponse struct {
	// The byte array data
	Data []byte `protobuf:"bytes,1,opt,name=data,proto3" json:"data,omitempty"`
	// The entity tag which represents the specific version of data.
	// ETag format is defined by the corresponding data store.
	Etag string `protobuf:"bytes,2,opt,name=etag,proto3" json:"etag,omitempty"`
	// The metadata which will be sent to app.
	Metadata             map[string]string `protobuf:"bytes,3,rep,name=metadata,proto3" json:"metadata,omitempty" protobuf_key:"bytes,1,opt,name=key,proto3" protobuf_val:"bytes,2,opt,name=value,proto3"`
	XXX_NoUnkeyedLiteral struct{}          `json:"-"`
	XXX_unrecognized     []byte            `json:"-"`
	XXX_sizecache        int32             `json:"-"`
}

func (m *GetStateResponse) Reset()         { *m = GetStateResponse{} }
func (m *GetStateResponse) String() string { return proto.CompactTextString(m) }
func (*GetStateResponse) ProtoMessage()    {}
func (*GetStateResponse) Descriptor() ([]byte, []int) {
	return fileDescriptor_86e2dd377c869464, []int{24}
}

func (m *GetStateResponse) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_GetStateResponse.Unmarshal(m, b)
}
func (m *GetStateResponse) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_GetStateResponse.Marshal(b, m, deterministic)
}
func (m *GetStateResponse) XXX_Merge(src proto.Message) {
	xxx_messageInfo_GetStateResponse.Merge(m, src)
}
func (m *GetStateResponse) XXX_Size() int {
	return xxx_messageInfo_GetStateResponse.Size(m)
}
func (m *GetStateResponse) XXX_DiscardUnknown() {
	xxx_messageInfo_GetStateResponse.DiscardUnknown(m)
}

var xxx_messageInfo_GetStateResponse proto.InternalMessageInfo

func (m *GetStateResponse) GetData() []byte {
	if m != nil {
		return m.Data
	}
	return nil
}

func (m *GetStateResponse) GetEtag() string {
	if m != nil {
		return m.Etag
	}
	return ""
}

func (m *GetStateResponse) GetMetadata() map[string]string {
	if m != nil {
		return m.Metadata
	}
	return nil
}

// DeleteStateRequest is the message to delete key-value states in the specific state store.
type DeleteStateRequest struct {
	// Required. The name of state store.
	StoreName string `protobuf:"bytes,1,opt,name=store_name,json=storeName,proto3" json:"store_name,omitempty"`
	// Required. The key of the desired state
	Key string `protobuf:"bytes,2,opt,name=key,proto3" json:"key,omitempty"`
	// (optional) The entity tag which represents the specific version of data.
	// The exact ETag format is defined by the corresponding data store.
	Etag *Etag `protobuf:"bytes,3,opt,name=etag,proto3" json:"etag,omitempty"`
	// (optional) State operation options which includes concurrency/
	// consistency/retry_policy.
	Options *StateOptions `protobuf:"bytes,4,opt,name=options,proto3" json:"options,omitempty"`
	// (optional) The metadata which will be sent to state store components.
	Metadata             map[string]string `protobuf:"bytes,5,rep,name=metadata,proto3" json:"metadata,omitempty" protobuf_key:"bytes,1,opt,name=key,proto3" protobuf_val:"bytes,2,opt,name=value,proto3"`
	XXX_NoUnkeyedLiteral struct{}          `json:"-"`
	XXX_unrecognized     []byte            `json:"-"`
	XXX_sizecache        int32             `json:"-"`
}

func (m *DeleteStateRequest) Reset()         { *m = DeleteStateRequest{} }
func (m *DeleteStateRequest) String() string { return proto.CompactTextString(m) }
func (*DeleteStateRequest) ProtoMessage()    {}
func (*DeleteStateRequest) Descriptor() ([]byte, []int) {
	return fileDescriptor_86e2dd377c869464, []int{25}
}

func (m *DeleteStateRequest) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_DeleteStateRequest.Unmarshal(m, b)
}
func (m *DeleteStateRequest) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_DeleteStateRequest.Marshal(b, m, deterministic)
}
func (m *DeleteStateRequest) XXX_Merge(src proto.Message) {
	xxx_messageInfo_DeleteStateRequest.Merge(m, src)
}
func (m *DeleteStateRequest) XXX_Size() int {
	return xxx_messageInfo_DeleteStateRequest.Size(m)
}
func (m *DeleteStateRequest) XXX_DiscardUnknown() {
	xxx_messageInfo_DeleteStateRequest.DiscardUnknown(m)
}

var xxx_messageInfo_DeleteStateRequest proto.InternalMessageInfo

func (m *DeleteStateRequest) GetStoreName() string {
	if m != nil {
		return m.StoreName
	}
	return ""
}

func (m *DeleteStateRequest) GetKey() string {
	if m != nil {
		return m.Key
	}
	return ""
}

func (m *DeleteStateRequest) GetEtag() *Etag {
	if m != nil {
		return m.Etag
	}
	return nil
}

func (m *DeleteStateRequest) GetOptions() *StateOptions {
	if m != nil {
		return m.Options
	}
	return nil
}

func (m *DeleteStateRequest) GetMetadata() map[string]string {
	if m != nil {
		return m.Metadata
	}
	return nil
}

// DeleteBulkStateRequest is the message to delete a list of key-value states from specific state store.
type DeleteBulkStateRequest struct {
	// Required. The name of state store.
	StoreName string `protobuf:"bytes,1,opt,name=store_name,json=storeName,proto3" json:"store_name,omitempty"`
	// Required. The array of the state key values.
	States               []*StateItem `protobuf:"bytes,2,rep,name=states,proto3" json:"states,omitempty"`
	XXX_NoUnkeyedLiteral struct{}     `json:"-"`
	XXX_unrecognized     []byte       `json:"-"`
	XXX_sizecache        int32        `json:"-"`
}

func (m *DeleteBulkStateRequest) Reset()         { *m = DeleteBulkStateRequest{} }
func (m *DeleteBulkStateRequest) String() string { return proto.CompactTextString(m) }
func (*DeleteBulkStateRequest) ProtoMessage()    {}
func (*DeleteBulkStateRequest) Descriptor() ([]byte, []int) {
	return fileDescriptor_86e2dd377c869464, []int{26}
}

func (m *DeleteBulkStateRequest) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_DeleteBulkStateRequest.Unmarshal(m, b)
}
func (m *DeleteBulkStateRequest) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_DeleteBulkStateRequest.Marshal(b, m, deterministic)
}
func (m *DeleteBulkStateRequest) XXX_Merge(src proto.Message) {
	xxx_messageInfo_DeleteBulkStateRequest.Merge(m, src)
}
func (m *DeleteBulkStateRequest) XXX_Size() int {
	return xxx_messageInfo_DeleteBulkStateRequest.Size(m)
}
func (m *DeleteBulkStateRequest) XXX_DiscardUnknown() {
	xxx_messageInfo_DeleteBulkStateRequest.DiscardUnknown(m)
}

var xxx_messageInfo_DeleteBulkStateRequest proto.InternalMessageInfo

func (m *DeleteBulkStateRequest) GetStoreName() string {
	if m != nil {
		return m.StoreName
	}
	return ""
}

func (m *DeleteBulkStateRequest) GetStates() []*StateItem {
	if m != nil {
		return m.States
	}
	return nil
}

// SaveStateRequest is the message to save multiple states into state store.
type SaveStateRequest struct {
	// Required. The name of state store.
	StoreName string `protobuf:"bytes,1,opt,name=store_name,json=storeName,proto3" json:"store_name,omitempty"`
	// Required. The array of the state key values.
	States               []*StateItem `protobuf:"bytes,2,rep,name=states,proto3" json:"states,omitempty"`
	XXX_NoUnkeyedLiteral struct{}     `json:"-"`
	XXX_unrecognized     []byte       `json:"-"`
	XXX_sizecache        int32        `json:"-"`
}

func (m *SaveStateRequest) Reset()         { *m = SaveStateRequest{} }
func (m *SaveStateRequest) String() string { return proto.CompactTextString(m) }
func (*SaveStateRequest) ProtoMessage()    {}
func (*SaveStateRequest) Descriptor() ([]byte, []int) {
	return fileDescriptor_86e2dd377c869464, []int{27}
}

func (m *SaveStateRequest) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_SaveStateRequest.Unmarshal(m, b)
}
func (m *SaveStateRequest) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_SaveStateRequest.Marshal(b, m, deterministic)
}
func (m *SaveStateRequest) XXX_Merge(src proto.Message) {
	xxx_messageInfo_SaveStateRequest.Merge(m, src)
}
func (m *SaveStateRequest) XXX_Size() int {
	return xxx_messageInfo_SaveStateRequest.Size(m)
}
func (m *SaveStateRequest) XXX_DiscardUnknown() {
	xxx_messageInfo_SaveStateRequest.DiscardUnknown(m)
}

var xxx_messageInfo_SaveStateRequest proto.InternalMessageInfo

func (m *SaveStateRequest) GetStoreName() string {
	if m != nil {
		return m.StoreName
	}
	return ""
}

func (m *SaveStateRequest) GetStates() []*StateItem {
	if m != nil {
		return m.States
	}
	return nil
}

// StateItem represents state key, value, and additional options to save state.
type StateItem struct {
	// Required. The state key
	Key string `protobuf:"bytes,1,opt,name=key,proto3" json:"key,omitempty"`
	// Required. The state data for key
	Value []byte `protobuf:"bytes,2,opt,name=value,proto3" json:"value,omitempty"`
	// (optional) The entity tag which represents the specific version of data.
	// The exact ETag format is defined by the corresponding data store. Layotto runtime only treats ETags as opaque strings.
	Etag *Etag `protobuf:"bytes,3,opt,name=etag,proto3" json:"etag,omitempty"`
	// (optional) additional key-value pairs to be passed to the state store.
	Metadata map[string]string `protobuf:"bytes,4,rep,name=metadata,proto3" json:"metadata,omitempty" protobuf_key:"bytes,1,opt,name=key,proto3" protobuf_val:"bytes,2,opt,name=value,proto3"`
	// (optional) Options for concurrency and consistency to save the state.
	Options              *StateOptions `protobuf:"bytes,5,opt,name=options,proto3" json:"options,omitempty"`
	XXX_NoUnkeyedLiteral struct{}      `json:"-"`
	XXX_unrecognized     []byte        `json:"-"`
	XXX_sizecache        int32         `json:"-"`
}

func (m *StateItem) Reset()         { *m = StateItem{} }
func (m *StateItem) String() string { return proto.CompactTextString(m) }
func (*StateItem) ProtoMessage()    {}
func (*StateItem) Descriptor() ([]byte, []int) {
	return fileDescriptor_86e2dd377c869464, []int{28}
}

func (m *StateItem) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_StateItem.Unmarshal(m, b)
}
func (m *StateItem) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_StateItem.Marshal(b, m, deterministic)
}
func (m *StateItem) XXX_Merge(src proto.Message) {
	xxx_messageInfo_StateItem.Merge(m, src)
}
func (m *StateItem) XXX_Size() int {
	return xxx_messageInfo_StateItem.Size(m)
}
func (m *StateItem) XXX_DiscardUnknown() {
	xxx_messageInfo_StateItem.DiscardUnknown(m)
}

var xxx_messageInfo_StateItem proto.InternalMessageInfo

func (m *StateItem) GetKey() string {
	if m != nil {
		return m.Key
	}
	return ""
}

func (m *StateItem) GetValue() []byte {
	if m != nil {
		return m.Value
	}
	return nil
}

func (m *StateItem) GetEtag() *Etag {
	if m != nil {
		return m.Etag
	}
	return nil
}

func (m *StateItem) GetMetadata() map[string]string {
	if m != nil {
		return m.Metadata
	}
	return nil
}

func (m *StateItem) GetOptions() *StateOptions {
	if m != nil {
		return m.Options
	}
	return nil
}

// Etag represents a state item version
type Etag struct {
	// value sets the etag value
	Value                string   `protobuf:"bytes,1,opt,name=value,proto3" json:"value,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *Etag) Reset()         { *m = Etag{} }
func (m *Etag) String() string { return proto.CompactTextString(m) }
func (*Etag) ProtoMessage()    {}
func (*Etag) Descriptor() ([]byte, []int) {
	return fileDescriptor_86e2dd377c869464, []int{29}
}

func (m *Etag) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_Etag.Unmarshal(m, b)
}
func (m *Etag) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_Etag.Marshal(b, m, deterministic)
}
func (m *Etag) XXX_Merge(src proto.Message) {
	xxx_messageInfo_Etag.Merge(m, src)
}
func (m *Etag) XXX_Size() int {
	return xxx_messageInfo_Etag.Size(m)
}
func (m *Etag) XXX_DiscardUnknown() {
	xxx_messageInfo_Etag.DiscardUnknown(m)
}

var xxx_messageInfo_Etag proto.InternalMessageInfo

func (m *Etag) GetValue() string {
	if m != nil {
		return m.Value
	}
	return ""
}

// StateOptions configures concurrency and consistency for state operations
type StateOptions struct {
	Concurrency          StateOptions_StateConcurrency `protobuf:"varint,1,opt,name=concurrency,proto3,enum=spec.proto.runtime.v1.StateOptions_StateConcurrency" json:"concurrency,omitempty"`
	Consistency          StateOptions_StateConsistency `protobuf:"varint,2,opt,name=consistency,proto3,enum=spec.proto.runtime.v1.StateOptions_StateConsistency" json:"consistency,omitempty"`
	XXX_NoUnkeyedLiteral struct{}                      `json:"-"`
	XXX_unrecognized     []byte                        `json:"-"`
	XXX_sizecache        int32                         `json:"-"`
}

func (m *StateOptions) Reset()         { *m = StateOptions{} }
func (m *StateOptions) String() string { return proto.CompactTextString(m) }
func (*StateOptions) ProtoMessage()    {}
func (*StateOptions) Descriptor() ([]byte, []int) {
	return fileDescriptor_86e2dd377c869464, []int{30}
}

func (m *StateOptions) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_StateOptions.Unmarshal(m, b)
}
func (m *StateOptions) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_StateOptions.Marshal(b, m, deterministic)
}
func (m *StateOptions) XXX_Merge(src proto.Message) {
	xxx_messageInfo_StateOptions.Merge(m, src)
}
func (m *StateOptions) XXX_Size() int {
	return xxx_messageInfo_StateOptions.Size(m)
}
func (m *StateOptions) XXX_DiscardUnknown() {
	xxx_messageInfo_StateOptions.DiscardUnknown(m)
}

var xxx_messageInfo_StateOptions proto.InternalMessageInfo

func (m *StateOptions) GetConcurrency() StateOptions_StateConcurrency {
	if m != nil {
		return m.Concurrency
	}
	return StateOptions_CONCURRENCY_UNSPECIFIED
}

func (m *StateOptions) GetConsistency() StateOptions_StateConsistency {
	if m != nil {
		return m.Consistency
	}
	return StateOptions_CONSISTENCY_UNSPECIFIED
}

// TransactionalStateOperation is the message to execute a specified operation with a key-value pair.
type TransactionalStateOperation struct {
	// Required. The type of operation to be executed
	OperationType string `protobuf:"bytes,1,opt,name=operationType,proto3" json:"operationType,omitempty"`
	// Required. State values to be operated on
	Request              *StateItem `protobuf:"bytes,2,opt,name=request,proto3" json:"request,omitempty"`
	XXX_NoUnkeyedLiteral struct{}   `json:"-"`
	XXX_unrecognized     []byte     `json:"-"`
	XXX_sizecache        int32      `json:"-"`
}

func (m *TransactionalStateOperation) Reset()         { *m = TransactionalStateOperation{} }
func (m *TransactionalStateOperation) String() string { return proto.CompactTextString(m) }
func (*TransactionalStateOperation) ProtoMessage()    {}
func (*TransactionalStateOperation) Descriptor() ([]byte, []int) {
	return fileDescriptor_86e2dd377c869464, []int{31}
}

func (m *TransactionalStateOperation) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_TransactionalStateOperation.Unmarshal(m, b)
}
func (m *TransactionalStateOperation) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_TransactionalStateOperation.Marshal(b, m, deterministic)
}
func (m *TransactionalStateOperation) XXX_Merge(src proto.Message) {
	xxx_messageInfo_TransactionalStateOperation.Merge(m, src)
}
func (m *TransactionalStateOperation) XXX_Size() int {
	return xxx_messageInfo_TransactionalStateOperation.Size(m)
}
func (m *TransactionalStateOperation) XXX_DiscardUnknown() {
	xxx_messageInfo_TransactionalStateOperation.DiscardUnknown(m)
}

var xxx_messageInfo_TransactionalStateOperation proto.InternalMessageInfo

func (m *TransactionalStateOperation) GetOperationType() string {
	if m != nil {
		return m.OperationType
	}
	return ""
}

func (m *TransactionalStateOperation) GetRequest() *StateItem {
	if m != nil {
		return m.Request
	}
	return nil
}

// ExecuteStateTransactionRequest is the message to execute multiple operations on a specified store.
type ExecuteStateTransactionRequest struct {
	// Required. name of state store.
	StoreName string `protobuf:"bytes,1,opt,name=storeName,proto3" json:"storeName,omitempty"`
	// Required. transactional operation list.
	Operations []*TransactionalStateOperation `protobuf:"bytes,2,rep,name=operations,proto3" json:"operations,omitempty"`
	// (optional) The metadata used for transactional operations.
	Metadata             map[string]string `protobuf:"bytes,3,rep,name=metadata,proto3" json:"metadata,omitempty" protobuf_key:"bytes,1,opt,name=key,proto3" protobuf_val:"bytes,2,opt,name=value,proto3"`
	XXX_NoUnkeyedLiteral struct{}          `json:"-"`
	XXX_unrecognized     []byte            `json:"-"`
	XXX_sizecache        int32             `json:"-"`
}

func (m *ExecuteStateTransactionRequest) Reset()         { *m = ExecuteStateTransactionRequest{} }
func (m *ExecuteStateTransactionRequest) String() string { return proto.CompactTextString(m) }
func (*ExecuteStateTransactionRequest) ProtoMessage()    {}
func (*ExecuteStateTransactionRequest) Descriptor() ([]byte, []int) {
	return fileDescriptor_86e2dd377c869464, []int{32}
}

func (m *ExecuteStateTransactionRequest) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_ExecuteStateTransactionRequest.Unmarshal(m, b)
}
func (m *ExecuteStateTransactionRequest) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_ExecuteStateTransactionRequest.Marshal(b, m, deterministic)
}
func (m *ExecuteStateTransactionRequest) XXX_Merge(src proto.Message) {
	xxx_messageInfo_ExecuteStateTransactionRequest.Merge(m, src)
}
func (m *ExecuteStateTransactionRequest) XXX_Size() int {
	return xxx_messageInfo_ExecuteStateTransactionRequest.Size(m)
}
func (m *ExecuteStateTransactionRequest) XXX_DiscardUnknown() {
	xxx_messageInfo_ExecuteStateTransactionRequest.DiscardUnknown(m)
}

var xxx_messageInfo_ExecuteStateTransactionRequest proto.InternalMessageInfo

func (m *ExecuteStateTransactionRequest) GetStoreName() string {
	if m != nil {
		return m.StoreName
	}
	return ""
}

func (m *ExecuteStateTransactionRequest) GetOperations() []*TransactionalStateOperation {
	if m != nil {
		return m.Operations
	}
	return nil
}

func (m *ExecuteStateTransactionRequest) GetMetadata() map[string]string {
	if m != nil {
		return m.Metadata
	}
	return nil
}

// PublishEventRequest is the message to publish event data to pubsub topic
type PublishEventRequest struct {
	// The name of the pubsub component
	PubsubName string `protobuf:"bytes,1,opt,name=pubsub_name,json=pubsubName,proto3" json:"pubsub_name,omitempty"`
	// The pubsub topic
	Topic string `protobuf:"bytes,2,opt,name=topic,proto3" json:"topic,omitempty"`
	// The data which will be published to topic.
	Data []byte `protobuf:"bytes,3,opt,name=data,proto3" json:"data,omitempty"`
	// The content type for the data (optional).
	DataContentType string `protobuf:"bytes,4,opt,name=data_content_type,json=dataContentType,proto3" json:"data_content_type,omitempty"`
	// The metadata passing to pub components
	//
	// metadata property:
	// - key : the key of the message.
	Metadata             map[string]string `protobuf:"bytes,5,rep,name=metadata,proto3" json:"metadata,omitempty" protobuf_key:"bytes,1,opt,name=key,proto3" protobuf_val:"bytes,2,opt,name=value,proto3"`
	XXX_NoUnkeyedLiteral struct{}          `json:"-"`
	XXX_unrecognized     []byte            `json:"-"`
	XXX_sizecache        int32             `json:"-"`
}

func (m *PublishEventRequest) Reset()         { *m = PublishEventRequest{} }
func (m *PublishEventRequest) String() string { return proto.CompactTextString(m) }
func (*PublishEventRequest) ProtoMessage()    {}
func (*PublishEventRequest) Descriptor() ([]byte, []int) {
	return fileDescriptor_86e2dd377c869464, []int{33}
}

func (m *PublishEventRequest) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_PublishEventRequest.Unmarshal(m, b)
}
func (m *PublishEventRequest) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_PublishEventRequest.Marshal(b, m, deterministic)
}
func (m *PublishEventRequest) XXX_Merge(src proto.Message) {
	xxx_messageInfo_PublishEventRequest.Merge(m, src)
}
func (m *PublishEventRequest) XXX_Size() int {
	return xxx_messageInfo_PublishEventRequest.Size(m)
}
func (m *PublishEventRequest) XXX_DiscardUnknown() {
	xxx_messageInfo_PublishEventRequest.DiscardUnknown(m)
}

var xxx_messageInfo_PublishEventRequest proto.InternalMessageInfo

func (m *PublishEventRequest) GetPubsubName() string {
	if m != nil {
		return m.PubsubName
	}
	return ""
}

func (m *PublishEventRequest) GetTopic() string {
	if m != nil {
		return m.Topic
	}
	return ""
}

func (m *PublishEventRequest) GetData() []byte {
	if m != nil {
		return m.Data
	}
	return nil
}

func (m *PublishEventRequest) GetDataContentType() string {
	if m != nil {
		return m.DataContentType
	}
	return ""
}

func (m *PublishEventRequest) GetMetadata() map[string]string {
	if m != nil {
		return m.Metadata
	}
	return nil
}

func init() {
	proto.RegisterEnum("spec.proto.runtime.v1.SequencerOptions_AutoIncrement", SequencerOptions_AutoIncrement_name, SequencerOptions_AutoIncrement_value)
	proto.RegisterEnum("spec.proto.runtime.v1.UnlockResponse_Status", UnlockResponse_Status_name, UnlockResponse_Status_value)
	proto.RegisterEnum("spec.proto.runtime.v1.HTTPExtension_Verb", HTTPExtension_Verb_name, HTTPExtension_Verb_value)
	proto.RegisterEnum("spec.proto.runtime.v1.StateOptions_StateConcurrency", StateOptions_StateConcurrency_name, StateOptions_StateConcurrency_value)
	proto.RegisterEnum("spec.proto.runtime.v1.StateOptions_StateConsistency", StateOptions_StateConsistency_name, StateOptions_StateConsistency_value)
	proto.RegisterType((*GetNextIdRequest)(nil), "spec.proto.runtime.v1.GetNextIdRequest")
	proto.RegisterMapType((map[string]string)(nil), "spec.proto.runtime.v1.GetNextIdRequest.MetadataEntry")
	proto.RegisterType((*SequencerOptions)(nil), "spec.proto.runtime.v1.SequencerOptions")
	proto.RegisterType((*GetNextIdResponse)(nil), "spec.proto.runtime.v1.GetNextIdResponse")
	proto.RegisterType((*TryLockRequest)(nil), "spec.proto.runtime.v1.TryLockRequest")
	proto.RegisterType((*TryLockResponse)(nil), "spec.proto.runtime.v1.TryLockResponse")
	proto.RegisterType((*UnlockRequest)(nil), "spec.proto.runtime.v1.UnlockRequest")
	proto.RegisterType((*UnlockResponse)(nil), "spec.proto.runtime.v1.UnlockResponse")
	proto.RegisterType((*SayHelloRequest)(nil), "spec.proto.runtime.v1.SayHelloRequest")
	proto.RegisterType((*SayHelloResponse)(nil), "spec.proto.runtime.v1.SayHelloResponse")
	proto.RegisterType((*InvokeServiceRequest)(nil), "spec.proto.runtime.v1.InvokeServiceRequest")
	proto.RegisterType((*CommonInvokeRequest)(nil), "spec.proto.runtime.v1.CommonInvokeRequest")
	proto.RegisterType((*HTTPExtension)(nil), "spec.proto.runtime.v1.HTTPExtension")
	proto.RegisterType((*InvokeResponse)(nil), "spec.proto.runtime.v1.InvokeResponse")
	proto.RegisterType((*ConfigurationItem)(nil), "spec.proto.runtime.v1.ConfigurationItem")
	proto.RegisterMapType((map[string]string)(nil), "spec.proto.runtime.v1.ConfigurationItem.MetadataEntry")
	proto.RegisterMapType((map[string]string)(nil), "spec.proto.runtime.v1.ConfigurationItem.TagsEntry")
	proto.RegisterType((*GetConfigurationRequest)(nil), "spec.proto.runtime.v1.GetConfigurationRequest")
	proto.RegisterMapType((map[string]string)(nil), "spec.proto.runtime.v1.GetConfigurationRequest.MetadataEntry")
	proto.RegisterType((*GetConfigurationResponse)(nil), "spec.proto.runtime.v1.GetConfigurationResponse")
	proto.RegisterType((*SubscribeConfigurationRequest)(nil), "spec.proto.runtime.v1.SubscribeConfigurationRequest")
	proto.RegisterMapType((map[string]string)(nil), "spec.proto.runtime.v1.SubscribeConfigurationRequest.MetadataEntry")
	proto.RegisterType((*SubscribeConfigurationResponse)(nil), "spec.proto.runtime.v1.SubscribeConfigurationResponse")
	proto.RegisterType((*SaveConfigurationRequest)(nil), "spec.proto.runtime.v1.SaveConfigurationRequest")
	proto.RegisterMapType((map[string]string)(nil), "spec.proto.runtime.v1.SaveConfigurationRequest.MetadataEntry")
	proto.RegisterType((*DeleteConfigurationRequest)(nil), "spec.proto.runtime.v1.DeleteConfigurationRequest")
	proto.RegisterMapType((map[string]string)(nil), "spec.proto.runtime.v1.DeleteConfigurationRequest.MetadataEntry")
	proto.RegisterType((*GetStateRequest)(nil), "spec.proto.runtime.v1.GetStateRequest")
	proto.RegisterMapType((map[string]string)(nil), "spec.proto.runtime.v1.GetStateRequest.MetadataEntry")
	proto.RegisterType((*GetBulkStateRequest)(nil), "spec.proto.runtime.v1.GetBulkStateRequest")
	proto.RegisterMapType((map[string]string)(nil), "spec.proto.runtime.v1.GetBulkStateRequest.MetadataEntry")
	proto.RegisterType((*GetBulkStateResponse)(nil), "spec.proto.runtime.v1.GetBulkStateResponse")
	proto.RegisterType((*BulkStateItem)(nil), "spec.proto.runtime.v1.BulkStateItem")
	proto.RegisterMapType((map[string]string)(nil), "spec.proto.runtime.v1.BulkStateItem.MetadataEntry")
	proto.RegisterType((*GetStateResponse)(nil), "spec.proto.runtime.v1.GetStateResponse")
	proto.RegisterMapType((map[string]string)(nil), "spec.proto.runtime.v1.GetStateResponse.MetadataEntry")
	proto.RegisterType((*DeleteStateRequest)(nil), "spec.proto.runtime.v1.DeleteStateRequest")
	proto.RegisterMapType((map[string]string)(nil), "spec.proto.runtime.v1.DeleteStateRequest.MetadataEntry")
	proto.RegisterType((*DeleteBulkStateRequest)(nil), "spec.proto.runtime.v1.DeleteBulkStateRequest")
	proto.RegisterType((*SaveStateRequest)(nil), "spec.proto.runtime.v1.SaveStateRequest")
	proto.RegisterType((*StateItem)(nil), "spec.proto.runtime.v1.StateItem")
	proto.RegisterMapType((map[string]string)(nil), "spec.proto.runtime.v1.StateItem.MetadataEntry")
	proto.RegisterType((*Etag)(nil), "spec.proto.runtime.v1.Etag")
	proto.RegisterType((*StateOptions)(nil), "spec.proto.runtime.v1.StateOptions")
	proto.RegisterType((*TransactionalStateOperation)(nil), "spec.proto.runtime.v1.TransactionalStateOperation")
	proto.RegisterType((*ExecuteStateTransactionRequest)(nil), "spec.proto.runtime.v1.ExecuteStateTransactionRequest")
	proto.RegisterMapType((map[string]string)(nil), "spec.proto.runtime.v1.ExecuteStateTransactionRequest.MetadataEntry")
	proto.RegisterType((*PublishEventRequest)(nil), "spec.proto.runtime.v1.PublishEventRequest")
	proto.RegisterMapType((map[string]string)(nil), "spec.proto.runtime.v1.PublishEventRequest.MetadataEntry")
}

func init() {
	proto.RegisterFile("runtime.proto", fileDescriptor_86e2dd377c869464)
}

var fileDescriptor_86e2dd377c869464 = []byte{
	// 2074 bytes of a gzipped FileDescriptorProto
	0x1f, 0x8b, 0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x02, 0xff, 0xcc, 0x1a, 0x4d, 0x73, 0xdb, 0xc6,
	0x55, 0x00, 0xbf, 0xc4, 0x47, 0x7d, 0xc0, 0x6b, 0x45, 0x66, 0xe8, 0x7c, 0xa8, 0xa8, 0x1d, 0xc9,
	0x76, 0x42, 0xd6, 0xaa, 0xdd, 0x78, 0x9c, 0xba, 0x1d, 0x99, 0x82, 0x25, 0xd6, 0x2a, 0xa9, 0x2e,
	0x20, 0x3b, 0x71, 0xc7, 0x61, 0x41, 0x6a, 0x43, 0xb1, 0x22, 0x01, 0x18, 0x58, 0xa8, 0xe2, 0xa9,
	0xc7, 0x1e, 0x32, 0xd3, 0x63, 0xae, 0xbd, 0xb6, 0x33, 0x99, 0x4e, 0xa7, 0xd7, 0xfe, 0x80, 0xcc,
	0xf4, 0xd6, 0x63, 0xff, 0x43, 0xff, 0x42, 0x66, 0x3a, 0x58, 0x2c, 0x48, 0x80, 0x24, 0x28, 0x52,
	0x0a, 0x33, 0x39, 0x89, 0xfb, 0xf6, 0x7d, 0xed, 0x7b, 0x6f, 0xdf, 0x7b, 0xfb, 0x20, 0x58, 0xb6,
	0x5d, 0x83, 0xb6, 0xbb, 0xa4, 0x68, 0xd9, 0x26, 0x35, 0xd1, 0x5b, 0x8e, 0x45, 0x9a, 0xfe, 0xef,
	0x62, 0xb0, 0x73, 0x76, 0xbf, 0x70, 0xb3, 0x65, 0x9a, 0xad, 0x0e, 0x29, 0xb1, 0x8d, 0x86, 0xfb,
	0x45, 0x89, 0x74, 0x2d, 0xda, 0xf3, 0xf1, 0x0a, 0x6f, 0x0f, 0x6f, 0xea, 0x06, 0xdf, 0x92, 0xbf,
	0x12, 0x41, 0xda, 0x23, 0xb4, 0x4a, 0xce, 0x69, 0xe5, 0x18, 0x93, 0x37, 0x2e, 0x71, 0x28, 0x7a,
	0x17, 0xc0, 0xa1, 0xa6, 0x4d, 0xea, 0x86, 0xde, 0x25, 0x79, 0x61, 0x43, 0xd8, 0xca, 0xe2, 0x2c,
	0x83, 0x54, 0xf5, 0x2e, 0x41, 0x12, 0x24, 0x4e, 0x49, 0x2f, 0x2f, 0x32, 0xb8, 0xf7, 0x13, 0xed,
	0x40, 0xc6, 0xb4, 0x68, 0xdb, 0x34, 0x9c, 0x7c, 0x62, 0x43, 0xd8, 0xca, 0x6d, 0x6f, 0x16, 0xc7,
	0xaa, 0x59, 0x54, 0x3d, 0x09, 0x46, 0x93, 0xd8, 0x35, 0x1f, 0x1d, 0x07, 0x74, 0xe8, 0x37, 0xb0,
	0xd8, 0x25, 0x54, 0x3f, 0xd6, 0xa9, 0x9e, 0x4f, 0x6e, 0x24, 0xb6, 0x72, 0xdb, 0x0f, 0x63, 0x78,
	0x0c, 0xab, 0x5b, 0xfc, 0x35, 0xa7, 0x53, 0x0c, 0x6a, 0xf7, 0x70, 0x9f, 0x4d, 0xe1, 0x13, 0x58,
	0x8e, 0x6c, 0x05, 0x8a, 0x0b, 0x03, 0xc5, 0xd7, 0x20, 0x75, 0xa6, 0x77, 0x5c, 0xc2, 0x0f, 0xe3,
	0x2f, 0x1e, 0x8b, 0x8f, 0x04, 0xf9, 0xcf, 0x02, 0x48, 0xc3, 0xda, 0x22, 0x15, 0xb2, 0x6d, 0xa3,
	0x69, 0x93, 0x2e, 0x31, 0x28, 0x63, 0xb3, 0x12, 0xab, 0xe5, 0x30, 0x6d, 0x71, 0xc7, 0xa5, 0x66,
	0x25, 0x20, 0xc6, 0x03, 0x3e, 0xf2, 0x6d, 0x58, 0x8e, 0xec, 0xa1, 0x45, 0x48, 0xbe, 0x54, 0x76,
	0x9e, 0x4b, 0x0b, 0x08, 0x20, 0xad, 0x6a, 0xb8, 0x56, 0xdd, 0x93, 0x04, 0xf9, 0x43, 0xb8, 0x16,
	0x3a, 0xb9, 0x63, 0x99, 0x86, 0x43, 0xd0, 0x0d, 0xc8, 0x18, 0xe4, 0x9c, 0xd6, 0xdb, 0xc7, 0x4c,
	0x9d, 0x04, 0x4e, 0x1b, 0x0c, 0x41, 0xfe, 0x93, 0x00, 0x2b, 0x9a, 0xdd, 0x3b, 0x30, 0x9b, 0xa7,
	0x53, 0x7a, 0xf5, 0x7d, 0xc8, 0xd9, 0xc4, 0x31, 0x5d, 0xbb, 0x49, 0x3c, 0x76, 0xbe, 0x41, 0x20,
	0x00, 0x55, 0x8e, 0x3d, 0xfa, 0x8e, 0xd9, 0x3c, 0xad, 0x9b, 0x7f, 0x30, 0x88, 0xcd, 0xfc, 0x9c,
	0xc5, 0x59, 0x0f, 0x52, 0xf3, 0x00, 0x68, 0x1d, 0xd2, 0xe4, 0xdc, 0x6a, 0xdb, 0x24, 0x9f, 0xdc,
	0x10, 0xb6, 0x52, 0x98, 0xaf, 0xe4, 0x7b, 0xb0, 0xda, 0x57, 0x84, 0x6b, 0x9d, 0x87, 0x8c, 0xe3,
	0x36, 0x9b, 0xc4, 0x71, 0x98, 0x1a, 0x8b, 0x38, 0x58, 0xca, 0x06, 0x2c, 0x1f, 0x19, 0x9d, 0xef,
	0x4d, 0x69, 0xf9, 0xef, 0x02, 0xac, 0x04, 0x02, 0xb9, 0x72, 0xbb, 0x90, 0x76, 0xa8, 0x4e, 0x5d,
	0x87, 0x3b, 0xf8, 0xc3, 0x18, 0x07, 0x47, 0xc9, 0x8a, 0x2a, 0xa3, 0xc1, 0x9c, 0x56, 0x7e, 0x01,
	0x69, 0x1f, 0x82, 0x72, 0x90, 0x51, 0x8f, 0xca, 0x65, 0x45, 0x55, 0xa5, 0x05, 0x24, 0xc1, 0xd2,
	0x41, 0xad, 0xfc, 0xbc, 0x7e, 0x54, 0x55, 0x3e, 0xad, 0xa8, 0x9a, 0x24, 0xa0, 0xb7, 0xe1, 0x2d,
	0x06, 0x79, 0xaa, 0x1c, 0xd4, 0xaa, 0x7b, 0x75, 0xad, 0x56, 0xaf, 0x69, 0xfb, 0x0a, 0x56, 0x25,
	0x11, 0x21, 0x58, 0xa9, 0x54, 0x35, 0x05, 0x57, 0x77, 0x0e, 0xea, 0x0a, 0xc6, 0x35, 0x2c, 0x25,
	0xe4, 0x7d, 0x58, 0x55, 0xf5, 0xde, 0x3e, 0xe9, 0x74, 0xcc, 0xc0, 0x44, 0x3f, 0x82, 0x25, 0x87,
	0xd8, 0x67, 0xed, 0x66, 0xc4, 0x48, 0x39, 0x0e, 0x63, 0x66, 0x42, 0x90, 0x64, 0x5b, 0xbe, 0x7d,
	0xd8, 0x6f, 0x79, 0x0b, 0xa4, 0x01, 0x27, 0x7e, 0xf6, 0x35, 0x48, 0x9d, 0x78, 0x00, 0xce, 0xc3,
	0x5f, 0xc8, 0x1d, 0x58, 0xab, 0x18, 0x67, 0xe6, 0x29, 0x51, 0x7d, 0x96, 0x81, 0xe0, 0x15, 0x10,
	0x79, 0xdc, 0x65, 0xb1, 0xd8, 0x3e, 0x46, 0xbb, 0x90, 0xe9, 0x12, 0xc7, 0xd1, 0x5b, 0x84, 0x67,
	0x81, 0xbb, 0x31, 0xa6, 0x2b, 0x9b, 0xdd, 0xae, 0x69, 0xf8, 0x3c, 0x39, 0x33, 0x1c, 0x90, 0xca,
	0xdf, 0x08, 0x70, 0x7d, 0x0c, 0x82, 0x17, 0x5f, 0x5d, 0x42, 0x4f, 0xcc, 0x40, 0x22, 0x5f, 0xa1,
	0x2d, 0x48, 0xb2, 0xa4, 0x21, 0x32, 0x91, 0x6b, 0x45, 0x3f, 0xd7, 0x15, 0x83, 0x5c, 0x57, 0xdc,
	0x31, 0x7a, 0x98, 0x61, 0x78, 0x86, 0x6a, 0x9a, 0x06, 0x25, 0x06, 0xad, 0xd3, 0x9e, 0x45, 0x78,
	0x34, 0xe4, 0x38, 0x4c, 0xeb, 0x59, 0x04, 0x3d, 0x87, 0x95, 0x13, 0x4a, 0xad, 0x3a, 0x39, 0xa7,
	0xc4, 0x70, 0xda, 0xa6, 0xc1, 0x82, 0x39, 0xb7, 0x7d, 0x2b, 0xe6, 0x24, 0xfb, 0x9a, 0x76, 0xa8,
	0x04, 0xb8, 0x78, 0xd9, 0xa3, 0xed, 0x2f, 0xe5, 0xff, 0x0a, 0xb0, 0x1c, 0x41, 0x40, 0x4f, 0x20,
	0x79, 0x46, 0xec, 0x06, 0x8f, 0xac, 0x3b, 0xd3, 0x30, 0x2d, 0xbe, 0x20, 0x76, 0x03, 0x33, 0x32,
	0xb4, 0x01, 0xb9, 0x37, 0x2e, 0xb1, 0x7b, 0x0e, 0xb5, 0xdb, 0x46, 0x8b, 0x7b, 0x33, 0x0c, 0x92,
	0x5b, 0x90, 0xf4, 0xf0, 0xbd, 0x14, 0x52, 0xad, 0x55, 0x15, 0x69, 0x01, 0x65, 0x20, 0xb1, 0xa7,
	0x78, 0x81, 0xb6, 0x08, 0xc9, 0x7d, 0x65, 0x67, 0x57, 0x12, 0xbd, 0x5f, 0x87, 0x35, 0x55, 0x93,
	0x12, 0xde, 0xe6, 0xe1, 0x91, 0x26, 0x25, 0xbd, 0x44, 0xb3, 0xab, 0x1c, 0x28, 0x9a, 0x22, 0xa5,
	0xbc, 0x80, 0x2d, 0xd7, 0xaa, 0x55, 0xa5, 0xac, 0x49, 0x69, 0x6f, 0x51, 0x3b, 0xd4, 0x2a, 0xb5,
	0xaa, 0x2a, 0x65, 0x50, 0x16, 0x52, 0x1a, 0xde, 0x29, 0x2b, 0xd2, 0xa2, 0xfc, 0x1a, 0x56, 0x02,
	0xf7, 0xf0, 0xd8, 0x09, 0xfc, 0x20, 0xcc, 0xec, 0x07, 0x71, 0xc4, 0x0f, 0xf2, 0xb7, 0x22, 0x5c,
	0x2b, 0x9b, 0xc6, 0x17, 0xed, 0x96, 0x6b, 0xeb, 0x5e, 0xfe, 0xac, 0x50, 0xd2, 0x1d, 0x93, 0xbf,
	0xf3, 0x90, 0xe1, 0x64, 0x9c, 0x4b, 0xb0, 0xf4, 0x42, 0xb9, 0x65, 0x9b, 0xae, 0xc5, 0xbd, 0xec,
	0x2f, 0x3c, 0x68, 0x47, 0x6f, 0x90, 0x0e, 0x73, 0x6b, 0x16, 0xfb, 0x0b, 0xf4, 0x0c, 0x92, 0x54,
	0x6f, 0x39, 0xf9, 0x14, 0xab, 0x3b, 0xdb, 0xb1, 0x51, 0x3b, 0xa4, 0x4f, 0x51, 0xd3, 0x5b, 0x8e,
	0x5f, 0x74, 0x18, 0x3d, 0xc2, 0xa1, 0x1a, 0x96, 0x66, 0xbc, 0x7e, 0x36, 0x35, 0xaf, 0xb8, 0x22,
	0xf6, 0x31, 0x64, 0xfb, 0x62, 0x66, 0x29, 0x60, 0x57, 0xab, 0x7e, 0xff, 0x11, 0xe1, 0xc6, 0x1e,
	0xa1, 0x11, 0x35, 0xa7, 0x4c, 0xc9, 0x6f, 0x41, 0x5a, 0xb7, 0xac, 0x41, 0x36, 0x4e, 0xe9, 0x96,
	0x55, 0x39, 0x9e, 0xc9, 0x1f, 0x08, 0x92, 0xa7, 0xa4, 0xe7, 0xfb, 0x23, 0x8b, 0xd9, 0x6f, 0xf4,
	0xe9, 0x88, 0x6d, 0x7f, 0x1e, 0xdf, 0x1f, 0x8c, 0xd3, 0x3b, 0xce, 0xc2, 0xe8, 0x0e, 0x48, 0x8e,
	0xdb, 0x70, 0x9a, 0x76, 0xbb, 0x41, 0xea, 0xae, 0x75, 0xac, 0x53, 0x92, 0xcf, 0xb0, 0xb2, 0xb4,
	0xda, 0x87, 0x1f, 0x31, 0xf0, 0xd5, 0x6c, 0xfa, 0x0a, 0xf2, 0xa3, 0xaa, 0xf1, 0xcb, 0xf3, 0x0b,
	0x48, 0xb5, 0x29, 0xe9, 0x7a, 0x35, 0xc7, 0x3b, 0xda, 0xd6, 0xb4, 0x61, 0x83, 0x7d, 0x32, 0xf9,
	0x9f, 0x22, 0xbc, 0xab, 0x06, 0xca, 0xfe, 0x80, 0xbc, 0xf6, 0xf9, 0x88, 0xd7, 0x9e, 0xc6, 0xf5,
	0x4b, 0x93, 0xb4, 0x9f, 0x4f, 0x8b, 0xf7, 0x95, 0x00, 0xef, 0xc5, 0x89, 0xe5, 0x7e, 0xb9, 0x9c,
	0xd5, 0xfa, 0xde, 0x4c, 0x5c, 0xce, 0x9b, 0x7f, 0x15, 0x21, 0xaf, 0xea, 0x67, 0xdf, 0xa5, 0x23,
	0xaf, 0xa8, 0x12, 0xfa, 0x6c, 0xa4, 0x3d, 0x7f, 0x12, 0xe7, 0xc8, 0x18, 0xc5, 0xe7, 0xe3, 0xc3,
	0xaf, 0x45, 0x28, 0xec, 0x92, 0x0e, 0xa1, 0x3f, 0xa4, 0xa8, 0xff, 0xed, 0x48, 0xd4, 0xff, 0x32,
	0xc6, 0x58, 0xf1, 0xaa, 0xcf, 0xc7, 0x5c, 0x7f, 0x13, 0x61, 0x75, 0x8f, 0x50, 0xaf, 0x35, 0x25,
	0x97, 0x7e, 0xed, 0xbd, 0x00, 0xaf, 0x56, 0x3b, 0x6d, 0x87, 0x12, 0xa3, 0xd9, 0x63, 0x46, 0x5a,
	0xd9, 0x7e, 0x10, 0x17, 0x0e, 0x9e, 0xa8, 0xe0, 0x0d, 0xc4, 0x16, 0xe5, 0x01, 0x2d, 0x0e, 0x33,
	0x42, 0x87, 0x23, 0x31, 0xf6, 0x20, 0x3e, 0xc5, 0x87, 0x8f, 0x30, 0x1f, 0x5b, 0x7d, 0x2b, 0xc0,
	0xf5, 0x3d, 0x42, 0x9f, 0xba, 0x9d, 0xd3, 0x59, 0xec, 0x15, 0x04, 0x84, 0x18, 0x0a, 0x88, 0x0d,
	0xc8, 0x59, 0xba, 0xad, 0x77, 0x3a, 0xa4, 0xd3, 0x76, 0xba, 0xcc, 0x62, 0x29, 0x1c, 0x06, 0x21,
	0x6d, 0xe4, 0xec, 0x8f, 0xe2, 0xcf, 0x3e, 0xac, 0xd2, 0x7c, 0xce, 0x8f, 0x61, 0x2d, 0x2a, 0x8b,
	0xe7, 0xc4, 0xc7, 0xd1, 0x5a, 0x15, 0xd7, 0x1a, 0xf7, 0x09, 0xc3, 0x99, 0xed, 0x7f, 0x02, 0x2c,
	0x47, 0x36, 0xc6, 0x68, 0x84, 0x42, 0x0d, 0xfd, 0x12, 0x6f, 0x19, 0x11, 0x24, 0x09, 0xd5, 0x5b,
	0xfc, 0x42, 0xb2, 0xdf, 0x9e, 0xe6, 0xc4, 0xb6, 0x4d, 0x3b, 0xb8, 0x8f, 0x6c, 0x81, 0xaa, 0x21,
	0x43, 0x4e, 0xee, 0xe7, 0x22, 0x7a, 0xcc, 0xc7, 0x84, 0xff, 0x16, 0xd8, 0x74, 0x25, 0x6a, 0x3f,
	0x14, 0x6a, 0x94, 0x87, 0xcf, 0x27, 0x86, 0xce, 0x17, 0x9e, 0x88, 0x24, 0x2e, 0x9a, 0x88, 0x44,
	0x44, 0xcc, 0xe7, 0x30, 0xdf, 0x88, 0x80, 0xfc, 0x7c, 0x75, 0xb5, 0xf4, 0x51, 0x0a, 0xf9, 0x32,
	0xb7, 0x7d, 0x33, 0xe6, 0x4c, 0x0a, 0xd5, 0x5b, 0xdc, 0x10, 0x4f, 0x06, 0xd3, 0x25, 0xff, 0x35,
	0xf6, 0xe3, 0x29, 0x72, 0xcd, 0x60, 0xb2, 0xa4, 0x8e, 0x44, 0xc4, 0xc7, 0x13, 0xb3, 0xf1, 0xfc,
	0x6f, 0xd6, 0x1b, 0x58, 0xf7, 0x45, 0xcd, 0x9a, 0x5b, 0x1e, 0xf9, 0xb3, 0x09, 0xe2, 0x67, 0x97,
	0xdc, 0xf6, 0xc6, 0x24, 0x43, 0xb0, 0x7b, 0xc7, 0xf1, 0xe5, 0x53, 0xef, 0xb5, 0x7f, 0x46, 0xbe,
	0x1f, 0x61, 0x5f, 0x8b, 0x90, 0x9d, 0x74, 0xc3, 0x23, 0x96, 0x59, 0xe2, 0x96, 0x99, 0x3d, 0x2e,
	0x7e, 0x35, 0x92, 0x33, 0x8b, 0x17, 0xa9, 0x18, 0xfb, 0x08, 0x08, 0xc5, 0x58, 0x6a, 0xf6, 0x18,
	0xbb, 0x5a, 0x38, 0xbc, 0x03, 0x49, 0x85, 0x27, 0x34, 0x1f, 0x43, 0x08, 0x61, 0xc8, 0x5f, 0x26,
	0x60, 0x29, 0x2c, 0x94, 0x97, 0xdf, 0xa6, 0x6b, 0xdb, 0xac, 0xfc, 0x0a, 0xb3, 0x97, 0xdf, 0x80,
	0x16, 0x87, 0x19, 0x0d, 0x97, 0x75, 0xf1, 0x3b, 0x2a, 0xeb, 0xf2, 0x09, 0x48, 0xc3, 0x82, 0xd1,
	0x4d, 0xb8, 0x51, 0xae, 0x55, 0xcb, 0x47, 0x18, 0x2b, 0xd5, 0xf2, 0x67, 0xf5, 0xa3, 0xaa, 0x7a,
	0xa8, 0x94, 0x2b, 0xcf, 0x2a, 0xca, 0xae, 0xb4, 0x30, 0xbc, 0xf9, 0xac, 0x82, 0x55, 0xad, 0xfe,
	0x12, 0x57, 0x34, 0x45, 0x12, 0x50, 0x01, 0xd6, 0xc3, 0x9b, 0x07, 0x3b, 0xfd, 0x3d, 0x51, 0xd6,
	0x07, 0x92, 0xfa, 0x4d, 0x85, 0xcf, 0x4c, 0xad, 0xa8, 0xda, 0x18, 0x49, 0x79, 0x58, 0x0b, 0x6f,
	0x2a, 0x2f, 0x94, 0xaa, 0x76, 0xb4, 0x73, 0x20, 0x09, 0x68, 0x1d, 0x50, 0x78, 0x87, 0x4f, 0x61,
	0x45, 0xf9, 0x8f, 0x70, 0x53, 0xb3, 0x75, 0xc3, 0xd1, 0x9b, 0xde, 0xd1, 0xf5, 0x0e, 0xb7, 0x03,
	0xf1, 0x7b, 0x37, 0x74, 0x0b, 0x96, 0xcd, 0x60, 0xa1, 0xf5, 0xac, 0xc0, 0x95, 0x51, 0x20, 0x7a,
	0x0c, 0x19, 0xdb, 0xbf, 0x83, 0x7c, 0x6a, 0x75, 0xf1, 0xd5, 0x0a, 0x08, 0xe4, 0x7f, 0x88, 0xf0,
	0x9e, 0x72, 0x4e, 0x9a, 0x2e, 0x4f, 0x54, 0x21, 0x6d, 0x82, 0x7b, 0xfd, 0x0e, 0x0c, 0x6e, 0xf1,
	0xe8, 0xb5, 0xc6, 0x00, 0x7d, 0x6d, 0x82, 0xab, 0x1d, 0x57, 0x22, 0x27, 0x1c, 0x15, 0x87, 0xb8,
	0xa0, 0xfa, 0x48, 0xa9, 0x2a, 0xc7, 0x5d, 0xdf, 0x89, 0xaa, 0xcf, 0x27, 0xdd, 0xfe, 0x45, 0x84,
	0xeb, 0x87, 0x6e, 0xa3, 0xd3, 0x76, 0x4e, 0x94, 0x33, 0x62, 0xd0, 0xc0, 0x4e, 0xef, 0x43, 0xce,
	0x72, 0x1b, 0x8e, 0xdb, 0x08, 0x27, 0x40, 0xf0, 0x41, 0xcc, 0x54, 0x6b, 0x90, 0xa2, 0xa6, 0xd5,
	0x6e, 0x06, 0x2c, 0xd9, 0xa2, 0x5f, 0xbf, 0x13, 0xa1, 0xfa, 0x7d, 0x17, 0xae, 0x79, 0x7f, 0xeb,
	0x91, 0xb9, 0x96, 0xdf, 0x97, 0xac, 0x7a, 0x1b, 0xe5, 0xd0, 0x8c, 0x51, 0x1b, 0xa9, 0x47, 0x71,
	0xad, 0xde, 0x18, 0xa5, 0xe7, 0x62, 0xa1, 0xed, 0x7f, 0x2d, 0x41, 0x06, 0xfb, 0x72, 0xd1, 0x6b,
	0x58, 0x0c, 0xe6, 0xc2, 0xe8, 0x83, 0xd8, 0x37, 0x5e, 0x64, 0x04, 0x5d, 0xd8, 0xbc, 0x10, 0xcf,
	0x6f, 0x4c, 0xe4, 0x05, 0x44, 0x60, 0x39, 0x32, 0x4c, 0x46, 0xf7, 0x62, 0x68, 0xc7, 0x8d, 0x9c,
	0x0b, 0xb7, 0x27, 0x22, 0x87, 0xc4, 0xb8, 0xac, 0xf1, 0x8a, 0x3c, 0xac, 0x50, 0x71, 0xb6, 0x81,
	0x51, 0xa1, 0x34, 0x35, 0x7e, 0x5f, 0xec, 0xe7, 0x70, 0x6d, 0xe4, 0xfd, 0x8b, 0x4a, 0x33, 0xbe,
	0x94, 0x0b, 0xeb, 0x23, 0xc3, 0x53, 0xa5, 0x6b, 0xd1, 0x9e, 0xbc, 0x80, 0x1a, 0x70, 0x7d, 0xcc,
	0x93, 0x11, 0xdd, 0x9f, 0xf9, 0x79, 0x39, 0x41, 0xc6, 0x97, 0x02, 0xac, 0x8f, 0x1f, 0x8b, 0xa0,
	0x07, 0x97, 0x19, 0xde, 0x14, 0x1e, 0xce, 0x48, 0x15, 0x58, 0x73, 0x4b, 0xf8, 0x89, 0x80, 0x5e,
	0x41, 0x86, 0x7f, 0x3e, 0x42, 0xb7, 0x63, 0xb3, 0x54, 0xf8, 0x3b, 0x57, 0xe1, 0x83, 0x8b, 0xd0,
	0xfa, 0xde, 0x7a, 0x09, 0x69, 0xff, 0x2b, 0x0e, 0xba, 0x75, 0xc1, 0x47, 0x9e, 0xc9, 0xd1, 0x17,
	0xfd, 0x14, 0x24, 0x2f, 0xa0, 0xdf, 0x41, 0xb6, 0xff, 0xad, 0x0e, 0x6d, 0x4e, 0xf9, 0x1d, 0xb3,
	0xb0, 0x75, 0x31, 0x62, 0x5f, 0xc2, 0x6b, 0x58, 0x0c, 0xba, 0xfe, 0xd8, 0x5b, 0x3a, 0xf4, 0x4a,
	0x2e, 0x6c, 0x4e, 0xf9, 0x7c, 0x90, 0x17, 0x50, 0x1b, 0x96, 0xc2, 0x6f, 0x3f, 0x74, 0x77, 0xfa,
	0xc7, 0x68, 0xe1, 0xde, 0x54, 0xb8, 0x7d, 0x51, 0x55, 0xc8, 0xf6, 0x3b, 0x53, 0xb4, 0x39, 0xe1,
	0xaa, 0x44, 0x84, 0xc4, 0x87, 0x2f, 0x86, 0x5c, 0xa8, 0x8f, 0x47, 0x77, 0xa6, 0xee, 0xf5, 0x27,
	0xf0, 0x7c, 0x05, 0xab, 0x43, 0x0d, 0x3b, 0xfa, 0x68, 0x22, 0xdf, 0x11, 0xa3, 0xc4, 0xf3, 0xfe,
	0x3d, 0xdc, 0x88, 0x29, 0x8a, 0xe8, 0xe1, 0xa5, 0x8a, 0xe8, 0x04, 0x59, 0x1a, 0x2c, 0x85, 0x6b,
	0x4a, 0xac, 0x5b, 0xc7, 0x14, 0x9e, 0x78, 0xae, 0x4f, 0x4b, 0xaf, 0x3e, 0xea, 0x9a, 0x8e, 0x51,
	0x6c, 0x9b, 0xa5, 0x8e, 0xde, 0x33, 0x29, 0x35, 0x4b, 0x1e, 0x5b, 0xff, 0xdf, 0x0d, 0x4a, 0x9c,
	0x6d, 0xe9, 0xec, 0xfe, 0x27, 0xfc, 0x67, 0x23, 0xcd, 0x76, 0x7e, 0xfa, 0xff, 0x00, 0x00, 0x00,
	0xff, 0xff, 0x15, 0x50, 0x3c, 0x9c, 0xdb, 0x20, 0x00, 0x00,
}

// Reference imports to suppress errors if they are not otherwise used.
var _ context.Context
var _ grpc.ClientConnInterface

// This is a compile-time assertion to ensure that this generated file
// is compatible with the grpc package it is being compiled against.
const _ = grpc.SupportPackageIsVersion6

// RuntimeClient is the client API for Runtime service.
//
// For semantics around ctx use and closing/ending streaming RPCs, please refer to https://godoc.org/google.golang.org/grpc#ClientConn.NewStream.
type RuntimeClient interface {
	//SayHello used for test
	SayHello(ctx context.Context, in *SayHelloRequest, opts ...grpc.CallOption) (*SayHelloResponse, error)
	// InvokeService do rpc calls
	InvokeService(ctx context.Context, in *InvokeServiceRequest, opts ...grpc.CallOption) (*InvokeResponse, error)
	// GetConfiguration gets configuration from configuration store.
	GetConfiguration(ctx context.Context, in *GetConfigurationRequest, opts ...grpc.CallOption) (*GetConfigurationResponse, error)
	// SaveConfiguration saves configuration into configuration store.
	SaveConfiguration(ctx context.Context, in *SaveConfigurationRequest, opts ...grpc.CallOption) (*empty.Empty, error)
	// DeleteConfiguration deletes configuration from configuration store.
	DeleteConfiguration(ctx context.Context, in *DeleteConfigurationRequest, opts ...grpc.CallOption) (*empty.Empty, error)
	// SubscribeConfiguration gets configuration from configuration store and subscribe the updates.
	SubscribeConfiguration(ctx context.Context, opts ...grpc.CallOption) (Runtime_SubscribeConfigurationClient, error)
	// Distributed Lock API
	// A non-blocking method trying to get a lock with ttl.
	TryLock(ctx context.Context, in *TryLockRequest, opts ...grpc.CallOption) (*TryLockResponse, error)
	Unlock(ctx context.Context, in *UnlockRequest, opts ...grpc.CallOption) (*UnlockResponse, error)
	// Sequencer API
	// Get next unique id with some auto-increment guarantee
	GetNextId(ctx context.Context, in *GetNextIdRequest, opts ...grpc.CallOption) (*GetNextIdResponse, error)
	// Gets the state for a specific key.
	GetState(ctx context.Context, in *GetStateRequest, opts ...grpc.CallOption) (*GetStateResponse, error)
	// Gets a bulk of state items for a list of keys
	GetBulkState(ctx context.Context, in *GetBulkStateRequest, opts ...grpc.CallOption) (*GetBulkStateResponse, error)
	// Saves an array of state objects
	SaveState(ctx context.Context, in *SaveStateRequest, opts ...grpc.CallOption) (*empty.Empty, error)
	// Deletes the state for a specific key.
	DeleteState(ctx context.Context, in *DeleteStateRequest, opts ...grpc.CallOption) (*empty.Empty, error)
	// Deletes a bulk of state items for a list of keys
	DeleteBulkState(ctx context.Context, in *DeleteBulkStateRequest, opts ...grpc.CallOption) (*empty.Empty, error)
	// Executes transactions for a specified store
	ExecuteStateTransaction(ctx context.Context, in *ExecuteStateTransactionRequest, opts ...grpc.CallOption) (*empty.Empty, error)
	// Publishes events to the specific topic.
	PublishEvent(ctx context.Context, in *PublishEventRequest, opts ...grpc.CallOption) (*empty.Empty, error)
}

type runtimeClient struct {
	cc grpc.ClientConnInterface
}

func NewRuntimeClient(cc grpc.ClientConnInterface) RuntimeClient {
	return &runtimeClient{cc}
}

func (c *runtimeClient) SayHello(ctx context.Context, in *SayHelloRequest, opts ...grpc.CallOption) (*SayHelloResponse, error) {
	out := new(SayHelloResponse)
	err := c.cc.Invoke(ctx, "/spec.proto.runtime.v1.Runtime/SayHello", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *runtimeClient) InvokeService(ctx context.Context, in *InvokeServiceRequest, opts ...grpc.CallOption) (*InvokeResponse, error) {
	out := new(InvokeResponse)
	err := c.cc.Invoke(ctx, "/spec.proto.runtime.v1.Runtime/InvokeService", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *runtimeClient) GetConfiguration(ctx context.Context, in *GetConfigurationRequest, opts ...grpc.CallOption) (*GetConfigurationResponse, error) {
	out := new(GetConfigurationResponse)
	err := c.cc.Invoke(ctx, "/spec.proto.runtime.v1.Runtime/GetConfiguration", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *runtimeClient) SaveConfiguration(ctx context.Context, in *SaveConfigurationRequest, opts ...grpc.CallOption) (*empty.Empty, error) {
	out := new(empty.Empty)
	err := c.cc.Invoke(ctx, "/spec.proto.runtime.v1.Runtime/SaveConfiguration", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *runtimeClient) DeleteConfiguration(ctx context.Context, in *DeleteConfigurationRequest, opts ...grpc.CallOption) (*empty.Empty, error) {
	out := new(empty.Empty)
	err := c.cc.Invoke(ctx, "/spec.proto.runtime.v1.Runtime/DeleteConfiguration", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *runtimeClient) SubscribeConfiguration(ctx context.Context, opts ...grpc.CallOption) (Runtime_SubscribeConfigurationClient, error) {
	stream, err := c.cc.NewStream(ctx, &_Runtime_serviceDesc.Streams[0], "/spec.proto.runtime.v1.Runtime/SubscribeConfiguration", opts...)
	if err != nil {
		return nil, err
	}
	x := &runtimeSubscribeConfigurationClient{stream}
	return x, nil
}

type Runtime_SubscribeConfigurationClient interface {
	Send(*SubscribeConfigurationRequest) error
	Recv() (*SubscribeConfigurationResponse, error)
	grpc.ClientStream
}

type runtimeSubscribeConfigurationClient struct {
	grpc.ClientStream
}

func (x *runtimeSubscribeConfigurationClient) Send(m *SubscribeConfigurationRequest) error {
	return x.ClientStream.SendMsg(m)
}

func (x *runtimeSubscribeConfigurationClient) Recv() (*SubscribeConfigurationResponse, error) {
	m := new(SubscribeConfigurationResponse)
	if err := x.ClientStream.RecvMsg(m); err != nil {
		return nil, err
	}
	return m, nil
}

func (c *runtimeClient) TryLock(ctx context.Context, in *TryLockRequest, opts ...grpc.CallOption) (*TryLockResponse, error) {
	out := new(TryLockResponse)
	err := c.cc.Invoke(ctx, "/spec.proto.runtime.v1.Runtime/TryLock", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *runtimeClient) Unlock(ctx context.Context, in *UnlockRequest, opts ...grpc.CallOption) (*UnlockResponse, error) {
	out := new(UnlockResponse)
	err := c.cc.Invoke(ctx, "/spec.proto.runtime.v1.Runtime/Unlock", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *runtimeClient) GetNextId(ctx context.Context, in *GetNextIdRequest, opts ...grpc.CallOption) (*GetNextIdResponse, error) {
	out := new(GetNextIdResponse)
	err := c.cc.Invoke(ctx, "/spec.proto.runtime.v1.Runtime/GetNextId", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *runtimeClient) GetState(ctx context.Context, in *GetStateRequest, opts ...grpc.CallOption) (*GetStateResponse, error) {
	out := new(GetStateResponse)
	err := c.cc.Invoke(ctx, "/spec.proto.runtime.v1.Runtime/GetState", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *runtimeClient) GetBulkState(ctx context.Context, in *GetBulkStateRequest, opts ...grpc.CallOption) (*GetBulkStateResponse, error) {
	out := new(GetBulkStateResponse)
	err := c.cc.Invoke(ctx, "/spec.proto.runtime.v1.Runtime/GetBulkState", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *runtimeClient) SaveState(ctx context.Context, in *SaveStateRequest, opts ...grpc.CallOption) (*empty.Empty, error) {
	out := new(empty.Empty)
	err := c.cc.Invoke(ctx, "/spec.proto.runtime.v1.Runtime/SaveState", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *runtimeClient) DeleteState(ctx context.Context, in *DeleteStateRequest, opts ...grpc.CallOption) (*empty.Empty, error) {
	out := new(empty.Empty)
	err := c.cc.Invoke(ctx, "/spec.proto.runtime.v1.Runtime/DeleteState", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *runtimeClient) DeleteBulkState(ctx context.Context, in *DeleteBulkStateRequest, opts ...grpc.CallOption) (*empty.Empty, error) {
	out := new(empty.Empty)
	err := c.cc.Invoke(ctx, "/spec.proto.runtime.v1.Runtime/DeleteBulkState", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *runtimeClient) ExecuteStateTransaction(ctx context.Context, in *ExecuteStateTransactionRequest, opts ...grpc.CallOption) (*empty.Empty, error) {
	out := new(empty.Empty)
	err := c.cc.Invoke(ctx, "/spec.proto.runtime.v1.Runtime/ExecuteStateTransaction", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *runtimeClient) PublishEvent(ctx context.Context, in *PublishEventRequest, opts ...grpc.CallOption) (*empty.Empty, error) {
	out := new(empty.Empty)
	err := c.cc.Invoke(ctx, "/spec.proto.runtime.v1.Runtime/PublishEvent", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

// RuntimeServer is the server API for Runtime service.
type RuntimeServer interface {
	//SayHello used for test
	SayHello(context.Context, *SayHelloRequest) (*SayHelloResponse, error)
	// InvokeService do rpc calls
	InvokeService(context.Context, *InvokeServiceRequest) (*InvokeResponse, error)
	// GetConfiguration gets configuration from configuration store.
	GetConfiguration(context.Context, *GetConfigurationRequest) (*GetConfigurationResponse, error)
	// SaveConfiguration saves configuration into configuration store.
	SaveConfiguration(context.Context, *SaveConfigurationRequest) (*empty.Empty, error)
	// DeleteConfiguration deletes configuration from configuration store.
	DeleteConfiguration(context.Context, *DeleteConfigurationRequest) (*empty.Empty, error)
	// SubscribeConfiguration gets configuration from configuration store and subscribe the updates.
	SubscribeConfiguration(Runtime_SubscribeConfigurationServer) error
	// Distributed Lock API
	// A non-blocking method trying to get a lock with ttl.
	TryLock(context.Context, *TryLockRequest) (*TryLockResponse, error)
	Unlock(context.Context, *UnlockRequest) (*UnlockResponse, error)
	// Sequencer API
	// Get next unique id with some auto-increment guarantee
	GetNextId(context.Context, *GetNextIdRequest) (*GetNextIdResponse, error)
	// Gets the state for a specific key.
	GetState(context.Context, *GetStateRequest) (*GetStateResponse, error)
	// Gets a bulk of state items for a list of keys
	GetBulkState(context.Context, *GetBulkStateRequest) (*GetBulkStateResponse, error)
	// Saves an array of state objects
	SaveState(context.Context, *SaveStateRequest) (*empty.Empty, error)
	// Deletes the state for a specific key.
	DeleteState(context.Context, *DeleteStateRequest) (*empty.Empty, error)
	// Deletes a bulk of state items for a list of keys
	DeleteBulkState(context.Context, *DeleteBulkStateRequest) (*empty.Empty, error)
	// Executes transactions for a specified store
	ExecuteStateTransaction(context.Context, *ExecuteStateTransactionRequest) (*empty.Empty, error)
	// Publishes events to the specific topic.
	PublishEvent(context.Context, *PublishEventRequest) (*empty.Empty, error)
}

// UnimplementedRuntimeServer can be embedded to have forward compatible implementations.
type UnimplementedRuntimeServer struct {
}

func (*UnimplementedRuntimeServer) SayHello(ctx context.Context, req *SayHelloRequest) (*SayHelloResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method SayHello not implemented")
}
func (*UnimplementedRuntimeServer) InvokeService(ctx context.Context, req *InvokeServiceRequest) (*InvokeResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method InvokeService not implemented")
}
func (*UnimplementedRuntimeServer) GetConfiguration(ctx context.Context, req *GetConfigurationRequest) (*GetConfigurationResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method GetConfiguration not implemented")
}
func (*UnimplementedRuntimeServer) SaveConfiguration(ctx context.Context, req *SaveConfigurationRequest) (*empty.Empty, error) {
	return nil, status.Errorf(codes.Unimplemented, "method SaveConfiguration not implemented")
}
func (*UnimplementedRuntimeServer) DeleteConfiguration(ctx context.Context, req *DeleteConfigurationRequest) (*empty.Empty, error) {
	return nil, status.Errorf(codes.Unimplemented, "method DeleteConfiguration not implemented")
}
func (*UnimplementedRuntimeServer) SubscribeConfiguration(srv Runtime_SubscribeConfigurationServer) error {
	return status.Errorf(codes.Unimplemented, "method SubscribeConfiguration not implemented")
}
func (*UnimplementedRuntimeServer) TryLock(ctx context.Context, req *TryLockRequest) (*TryLockResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method TryLock not implemented")
}
func (*UnimplementedRuntimeServer) Unlock(ctx context.Context, req *UnlockRequest) (*UnlockResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method Unlock not implemented")
}
func (*UnimplementedRuntimeServer) GetNextId(ctx context.Context, req *GetNextIdRequest) (*GetNextIdResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method GetNextId not implemented")
}
func (*UnimplementedRuntimeServer) GetState(ctx context.Context, req *GetStateRequest) (*GetStateResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method GetState not implemented")
}
func (*UnimplementedRuntimeServer) GetBulkState(ctx context.Context, req *GetBulkStateRequest) (*GetBulkStateResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method GetBulkState not implemented")
}
func (*UnimplementedRuntimeServer) SaveState(ctx context.Context, req *SaveStateRequest) (*empty.Empty, error) {
	return nil, status.Errorf(codes.Unimplemented, "method SaveState not implemented")
}
func (*UnimplementedRuntimeServer) DeleteState(ctx context.Context, req *DeleteStateRequest) (*empty.Empty, error) {
	return nil, status.Errorf(codes.Unimplemented, "method DeleteState not implemented")
}
func (*UnimplementedRuntimeServer) DeleteBulkState(ctx context.Context, req *DeleteBulkStateRequest) (*empty.Empty, error) {
	return nil, status.Errorf(codes.Unimplemented, "method DeleteBulkState not implemented")
}
func (*UnimplementedRuntimeServer) ExecuteStateTransaction(ctx context.Context, req *ExecuteStateTransactionRequest) (*empty.Empty, error) {
	return nil, status.Errorf(codes.Unimplemented, "method ExecuteStateTransaction not implemented")
}
func (*UnimplementedRuntimeServer) PublishEvent(ctx context.Context, req *PublishEventRequest) (*empty.Empty, error) {
	return nil, status.Errorf(codes.Unimplemented, "method PublishEvent not implemented")
}

func RegisterRuntimeServer(s *grpc.Server, srv RuntimeServer) {
	s.RegisterService(&_Runtime_serviceDesc, srv)
}

func _Runtime_SayHello_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(SayHelloRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(RuntimeServer).SayHello(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/spec.proto.runtime.v1.Runtime/SayHello",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(RuntimeServer).SayHello(ctx, req.(*SayHelloRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _Runtime_InvokeService_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(InvokeServiceRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(RuntimeServer).InvokeService(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/spec.proto.runtime.v1.Runtime/InvokeService",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(RuntimeServer).InvokeService(ctx, req.(*InvokeServiceRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _Runtime_GetConfiguration_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(GetConfigurationRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(RuntimeServer).GetConfiguration(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/spec.proto.runtime.v1.Runtime/GetConfiguration",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(RuntimeServer).GetConfiguration(ctx, req.(*GetConfigurationRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _Runtime_SaveConfiguration_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(SaveConfigurationRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(RuntimeServer).SaveConfiguration(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/spec.proto.runtime.v1.Runtime/SaveConfiguration",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(RuntimeServer).SaveConfiguration(ctx, req.(*SaveConfigurationRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _Runtime_DeleteConfiguration_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(DeleteConfigurationRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(RuntimeServer).DeleteConfiguration(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/spec.proto.runtime.v1.Runtime/DeleteConfiguration",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(RuntimeServer).DeleteConfiguration(ctx, req.(*DeleteConfigurationRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _Runtime_SubscribeConfiguration_Handler(srv interface{}, stream grpc.ServerStream) error {
	return srv.(RuntimeServer).SubscribeConfiguration(&runtimeSubscribeConfigurationServer{stream})
}

type Runtime_SubscribeConfigurationServer interface {
	Send(*SubscribeConfigurationResponse) error
	Recv() (*SubscribeConfigurationRequest, error)
	grpc.ServerStream
}

type runtimeSubscribeConfigurationServer struct {
	grpc.ServerStream
}

func (x *runtimeSubscribeConfigurationServer) Send(m *SubscribeConfigurationResponse) error {
	return x.ServerStream.SendMsg(m)
}

func (x *runtimeSubscribeConfigurationServer) Recv() (*SubscribeConfigurationRequest, error) {
	m := new(SubscribeConfigurationRequest)
	if err := x.ServerStream.RecvMsg(m); err != nil {
		return nil, err
	}
	return m, nil
}

func _Runtime_TryLock_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(TryLockRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(RuntimeServer).TryLock(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/spec.proto.runtime.v1.Runtime/TryLock",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(RuntimeServer).TryLock(ctx, req.(*TryLockRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _Runtime_Unlock_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(UnlockRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(RuntimeServer).Unlock(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/spec.proto.runtime.v1.Runtime/Unlock",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(RuntimeServer).Unlock(ctx, req.(*UnlockRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _Runtime_GetNextId_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(GetNextIdRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(RuntimeServer).GetNextId(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/spec.proto.runtime.v1.Runtime/GetNextId",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(RuntimeServer).GetNextId(ctx, req.(*GetNextIdRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _Runtime_GetState_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(GetStateRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(RuntimeServer).GetState(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/spec.proto.runtime.v1.Runtime/GetState",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(RuntimeServer).GetState(ctx, req.(*GetStateRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _Runtime_GetBulkState_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(GetBulkStateRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(RuntimeServer).GetBulkState(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/spec.proto.runtime.v1.Runtime/GetBulkState",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(RuntimeServer).GetBulkState(ctx, req.(*GetBulkStateRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _Runtime_SaveState_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(SaveStateRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(RuntimeServer).SaveState(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/spec.proto.runtime.v1.Runtime/SaveState",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(RuntimeServer).SaveState(ctx, req.(*SaveStateRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _Runtime_DeleteState_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(DeleteStateRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(RuntimeServer).DeleteState(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/spec.proto.runtime.v1.Runtime/DeleteState",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(RuntimeServer).DeleteState(ctx, req.(*DeleteStateRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _Runtime_DeleteBulkState_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(DeleteBulkStateRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(RuntimeServer).DeleteBulkState(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/spec.proto.runtime.v1.Runtime/DeleteBulkState",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(RuntimeServer).DeleteBulkState(ctx, req.(*DeleteBulkStateRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _Runtime_ExecuteStateTransaction_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(ExecuteStateTransactionRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(RuntimeServer).ExecuteStateTransaction(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/spec.proto.runtime.v1.Runtime/ExecuteStateTransaction",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(RuntimeServer).ExecuteStateTransaction(ctx, req.(*ExecuteStateTransactionRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _Runtime_PublishEvent_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(PublishEventRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(RuntimeServer).PublishEvent(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/spec.proto.runtime.v1.Runtime/PublishEvent",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(RuntimeServer).PublishEvent(ctx, req.(*PublishEventRequest))
	}
	return interceptor(ctx, in, info, handler)
}

var _Runtime_serviceDesc = grpc.ServiceDesc{
	ServiceName: "spec.proto.runtime.v1.Runtime",
	HandlerType: (*RuntimeServer)(nil),
	Methods: []grpc.MethodDesc{
		{
			MethodName: "SayHello",
			Handler:    _Runtime_SayHello_Handler,
		},
		{
			MethodName: "InvokeService",
			Handler:    _Runtime_InvokeService_Handler,
		},
		{
			MethodName: "GetConfiguration",
			Handler:    _Runtime_GetConfiguration_Handler,
		},
		{
			MethodName: "SaveConfiguration",
			Handler:    _Runtime_SaveConfiguration_Handler,
		},
		{
			MethodName: "DeleteConfiguration",
			Handler:    _Runtime_DeleteConfiguration_Handler,
		},
		{
			MethodName: "TryLock",
			Handler:    _Runtime_TryLock_Handler,
		},
		{
			MethodName: "Unlock",
			Handler:    _Runtime_Unlock_Handler,
		},
		{
			MethodName: "GetNextId",
			Handler:    _Runtime_GetNextId_Handler,
		},
		{
			MethodName: "GetState",
			Handler:    _Runtime_GetState_Handler,
		},
		{
			MethodName: "GetBulkState",
			Handler:    _Runtime_GetBulkState_Handler,
		},
		{
			MethodName: "SaveState",
			Handler:    _Runtime_SaveState_Handler,
		},
		{
			MethodName: "DeleteState",
			Handler:    _Runtime_DeleteState_Handler,
		},
		{
			MethodName: "DeleteBulkState",
			Handler:    _Runtime_DeleteBulkState_Handler,
		},
		{
			MethodName: "ExecuteStateTransaction",
			Handler:    _Runtime_ExecuteStateTransaction_Handler,
		},
		{
			MethodName: "PublishEvent",
			Handler:    _Runtime_PublishEvent_Handler,
		},
	},
	Streams: []grpc.StreamDesc{
		{
			StreamName:    "SubscribeConfiguration",
			Handler:       _Runtime_SubscribeConfiguration_Handler,
			ServerStreams: true,
			ClientStreams: true,
		},
	},
	Metadata: "runtime.proto",
}
